/*
 * IBM Confidential 
 *
 * OCO Source Materials
 *
 * IBM Configure, Price , Quote (5725 D11)
 *
 * (c) Copyright IBM Corp. 2016 All Rights Reserved.
 *
 * The source code for this program is not published or otherwise divested of its trade secrets,
 * irrespective of what has been deposited with the U.S. Copyright Office.
 */

/*global angular*/
(function () {
	'use strict';

	angular.module('ibmConfiguratorApp.configurator').provider('configuratorConfig', function () {
        var templatesV2 = {
            'AccordionTemplate' : {
                'file': 'app/configurator/templates/tabbed.template.html',
                'widgets': {
                    'v2:multi-select': {
                        'default': 'v2:checkbox',
                        'artifacts': {
                            'v2:checkbox': 'app/configurator/widgets/checkbox.widget.html',
                            'v2:multiSelectionListBox': 'app/configurator/widgets/multilistbox.widget.html',
                            'v2:multiSelectTabularDisplay': 'app/configurator/widgets/multitabdisplay.widget.html'
                        }
                    },
                    'v2:uev': {
                        'default': 'v2:userEnteredValues',
                        'artifacts': {
                            'v2:userEnteredValues': 'app/configurator/widgets/uev.widget.html'
                        }
                    },
                    'v2:display-all': {
                        'default': 'v2:displayAllChildren',
                        'artifacts': {
                            'v2:displayAllChildren': 'app/configurator/widgets/displayAll.widget.html'
                        }
                    },
                    'v2:single-select': {
                        'default': 'v2:radioButton',
                        'artifacts': {
                            'v2:listbox': 'app/configurator/widgets/singlelistbox.widget.html',
                            'v2:dropDownList': 'app/configurator/widgets/dropdownlist.widget.html',
                            'v2:radioButton': 'app/configurator/widgets/radio.widget.html',
                            'v2:singleSelectTabularDisplay': 'app/configurator/widgets/singletabdisplay.widget.html'
                        }
                    },
                    'v2:dynamic-instantiation': {
                        'default': 'v2:dynamicInstantiation',
                        'artifacts': {
                            'v2:dynamicInstantiation': 'app/configurator/widgets/dynamicInstantiate.widget.html'
                        }
                    },
                    'v2:tabular-display': {
                        'default': 'v2:tabularDisplay',
                        'artifacts': {
                            'v2:tabularDisplay': 'app/configurator/widgets/tabdisplay.widget.html'
                        }
                    }
                }
            },
            'NormalTemplate' : {
                'file': 'app/configurator/templates/normal.template.html',
                'widgets': {
                    'v2:multi-select': {
                        'default': 'v2:checkbox',
                        'artifacts': {
                            'v2:checkbox': 'app/configurator/widgets/checkbox.widget.html',
                            'v2:multiSelectionListBox': 'app/configurator/widgets/multilistbox.widget.html',
                            'v2:multiSelectTabularDisplay': 'app/configurator/widgets/multitabdisplay.widget.html'
                        }
                    },
                    'v2:uev': {
                        'default': 'v2:userEnteredValues',
                        'artifacts': {
                            'v2:userEnteredValues': 'app/configurator/widgets/uev.widget.html'
                        }

                    },
                    'v2:display-all': {
                        'default': 'v2:displayAllChildren',
                        'artifacts': {
                            'v2:displayAllChildren': 'app/configurator/widgets/displayAll.widget.html'
                        }
                    },
                    'v2:single-select': {
                        'default': 'v2:radioButton',
                        'artifacts': {
                            'v2:listbox': 'app/configurator/widgets/singlelistbox.widget.html',
                            'v2:dropDownList': 'app/configurator/widgets/dropdownlist.widget.html',
                            'v2:radioButton': 'app/configurator/widgets/radio.widget.html',
                            'v2:singleSelectTabularDisplay': 'app/configurator/widgets/singletabdisplay.widget.html'
                        }
                    },
                    'v2:dynamic-instantiation': {
                        'default': 'v2:dynamicInstantiation',
                        'artifacts': {
                            'v2:dynamicInstantiation': 'app/configurator/widgets/dynamicInstantiate.widget.html'
                        }
                    },
                    'v2:tabular-display': {
                        'default': 'v2:tabularDisplay',
                        'artifacts': {
                            'v2:tabularDisplay': 'app/configurator/widgets/tabdisplay.widget.html'
                        }
                    }
                }
            },
            'StepwiseTemplate' : {
                'file': 'app/configurator/templates/stepwise.template.html',
                'widgets': {
                    'v2:multi-select': {
                        'default': 'v2:checkbox',
                        'artifacts': {
                            'v2:checkbox': 'app/configurator/widgets/checkbox.widget.html',
                            'v2:multiSelectionListBox': 'app/configurator/widgets/multilistbox.widget.html',
                            'v2:multiSelectTabularDisplay': 'app/configurator/widgets/multitabdisplay.widget.html'
                        }
                    },
                    'v2:uev': {
                        'default': 'v2:userEnteredValues',
                        'artifacts': {
                            'v2:userEnteredValues': 'app/configurator/widgets/uev.widget.html'
                        }
                    },
                    'v2:display-all': {
                        'default': 'v2:displayAllChildren',
                        'artifacts': {
                            'v2:displayAllChildren': 'app/configurator/widgets/displayAll.widget.html'
                        }
                    },
                    'v2:single-select': {
                        'default': 'v2:radioButton',
                        'artifacts': {
                            'v2:listbox': 'app/configurator/widgets/singlelistbox.widget.html',
                            'v2:dropDownList': 'app/configurator/widgets/dropdownlist.widget.html',
                            'v2:radioButton': 'app/configurator/widgets/radio.widget.html',
                            'v2:singleSelectTabularDisplay': 'app/configurator/widgets/singletabdisplay.widget.html'
                        }
                    },
                    'v2:dynamic-instantiation': {
                        'default': 'v2:dynamicInstantiation',
                        'artifacts': {
                            'v2:dynamicInstantiation': 'app/configurator/widgets/dynamicInstantiate.widget.html'
                        }
                    },
                    'v2:tabular-display': {
                        'default': 'v2:tabularDisplay',
                        'artifacts': {
                            'v2:tabularDisplay': 'app/configurator/widgets/tabdisplay.widget.html'
                        }
                    }
                }
            }
        },
            templates = {
                'configuratorTabbed.jsp' : {
                    'file': 'app/configurator/templates/tabbed.template.html',
                    'widgets': {
                        'controls/checkbox.jsp': {
                            'default': 'checkbox',
                            'artifacts': {
                                'checkbox': 'app/configurator/widgets/checkbox.widget.html',
                                'multiSelectionListBox': 'app/configurator/widgets/multilistbox.widget.html',
                                'multiSelectTabularDisplay': 'app/configurator/widgets/multitabdisplay.widget.html'
                            }
                        },
                        'CHECKBOX': {
                            'default': 'checkbox',
                            'artifacts': {
                                'checkbox': 'app/configurator/widgets/checkbox.widget.html',
                                'multiSelectionListBox': 'app/configurator/widgets/multilistbox.widget.html',
                                'multiSelectTabularDisplay': 'app/configurator/widgets/multitabdisplay.widget.html'
                            }
                        },
                        'controls/radio.jsp': {
                            'default': 'radioButton',
                            'artifacts': {
                             //   'listbox': 'app/configurator/widgets/singlelistbox.widget.html',
                            //    'dropDownList': '',
                                'radioButton': 'app/configurator/widgets/radio.widget.html',
                             //   'singleSelectTabularDisplay': 'app/configurator/widgets/singletabdisplay.widget.html'
                            }
                        },
                        'RADIO': {
                            'default': 'radioButton',
                            'artifacts': {
                           //     'listbox': 'app/configurator/widgets/singlelistbox.widget.html',
                           //     'dropDownList': '',
                                'radioButton': 'app/configurator/widgets/radio.widget.html',
                           //     'singleSelectTabularDisplay': 'app/configurator/widgets/singletabdisplay.widget.html'
                            }
                        },
                        'controls/userenteredvalues.jsp': {
                            'default': 'uev',
                            'artifacts': {
                                'uev': 'app/configurator/widgets/uev.widget.html'
                            }
                        },
                        'USERENTEREDVALUES': {
                            'default': 'uev',
                            'artifacts': {
                                'uev': 'app/configurator/widgets/uev.widget.html'
                            }

                        },
                        'ALLPICKED': {
                            'default': 'displayAllChildren',
                            'artifacts': {
                                'displayAllChildren': 'app/configurator/widgets/displayAll.widget.html'
                            }
                        },
                        'controls/allpicked.jsp': {
                            'default': 'displayAllChildren',
                            'artifacts': {
                                'displayAllChildren': 'app/configurator/widgets/displayAll.widget.html'
                            }
                        },
                        'controls/dyninst.jsp': {
                            'default': 'dynamicInstantiation',
                            'artifacts': {
                                'dynamicInstantiation': 'app/configurator/widgets/dynamicInstantiate.widget.html'
                            }
                        },
                        'DYNINST': {
                            'default': 'dynamicInstantiation',
                            'artifacts': {
                                'dynamicInstantiation': 'app/configurator/widgets/dynamicInstantiate.widget.html'
                            }
                        },
                        'controls/combobox.jsp': {
                            'default': 'dropDownList',
                            'artifacts': {
                                'dropDownList': 'app/configurator/widgets/dropdownlist.widget.html'
                            }
                        },

                        'COMBOBOX': {
                            'default': 'dropDownList',
                            'artifacts': {
                                'dropDownList': 'app/configurator/widgets/dropdownlist.widget.html'
                            }
                        },
                        'controls/listbox.jsp': {
                            'default': 'listbox',
                            'artifacts': {
                                'listbox': 'app/configurator/widgets/singlelistbox.widget.html'
                            }
                        },
                        'LISTBOX': {
                            'default': 'listbox',
                            'artifacts': {
                                'listbox': 'app/configurator/widgets/singlelistbox.widget.html'
                            }
                        },
                        'controls/multiseltable.jsp': {
                            'default': 'multiSelectTabularDisplay',
                            'artifacts': {
                                'multiSelectTabularDisplay': 'app/configurator/widgets/multitabdisplay.widget.html'
                            }
                        },
                        'MULTISELTABLE': {
                            'default': 'multiSelectTabularDisplay',
                            'artifacts': {
                                'multiSelectTabularDisplay': 'app/configurator/widgets/multitabdisplay.widget.html'
                            }
                        },
                        'controls/multisellistbox.jsp': {
                            'default': 'multiSelectionListBox',
                            'artifacts': {
                                'multiSelectionListBox': 'app/configurator/widgets/multilistbox.widget.html'
                            }
                        },
                        'MULTISELLISTBOX': {
                            'default': 'multiSelectionListBox',
                            'artifacts': {
                                'multiSelectionListBox': 'app/configurator/widgets/multilistbox.widget.html'
                            }
                        },
                        'controls/singleseltable.jsp': {
                            'default': 'singleSelectTabularDisplay',
                            'artifacts': {
                                'singleSelectTabularDisplay': 'app/configurator/widgets/singletabdisplay.widget.html'
                            }
                        },
                        'SINGLESELTABLE': {
                            'default': 'singleSelectTabularDisplay',
                            'artifacts': {
                                'singleSelectTabularDisplay': 'app/configurator/widgets/singletabdisplay.widget.html'
                            }
                        },
                        'controls/displayProps.jsp': {
                            'default': 'tabularDisplay',
                            'artifacts': {
                                'tabularDisplay': 'app/configurator/widgets/tabdisplay.widget.html'
                            }
                        },
                        'DISPLAYPROPS': {
                            'default': 'tabularDisplay',
                            'artifacts': {
                                'tabularDisplay': 'app/configurator/widgets/tabdisplay.widget.html'
                            }
                        },
                        'controls/qtyseltable.jsp': {
                            'default': 'tabularDisplay',
                            'artifacts': {
                                'tabularDisplay': 'app/configurator/widgets/tabdisplay.widget.html'
                            }
                        },
                        'QTYSELTABLE': {
                            'default': 'tabularDisplay',
                            'artifacts': {
                                'tabularDisplay': 'app/configurator/widgets/tabdisplay.widget.html'
                            }
                        }
                    }
                },
				'configurator.jsp' : {
                    'file': 'app/configurator/templates/normal.template.html',
                    'widgets': {
                        'controls/checkbox.jsp': {
                            'default': 'checkbox',
                            'artifacts': {
                                'checkbox': 'app/configurator/widgets/checkbox.widget.html',
                                'multiSelectionListBox': 'app/configurator/widgets/multilistbox.widget.html',
                                'multiSelectTabularDisplay': 'app/configurator/widgets/multitabdisplay.widget.html'
                            }
                        },
                        'CHECKBOX': {
                            'default': 'checkbox',
                            'artifacts': {
                                'checkbox': 'app/configurator/widgets/checkbox.widget.html',
                                'multiSelectionListBox': 'app/configurator/widgets/multilistbox.widget.html',
                                'multiSelectTabularDisplay': 'app/configurator/widgets/multitabdisplay.widget.html'
                            }
                        },
                        'controls/radio.jsp': {
                            'default': 'radioButton',
                            'artifacts': {
                             //   'listbox': 'app/configurator/widgets/singlelistbox.widget.html',
                            //    'dropDownList': '',
                                'radioButton': 'app/configurator/widgets/radio.widget.html',
                             //   'singleSelectTabularDisplay': 'app/configurator/widgets/singletabdisplay.widget.html'
                            }
                        },
                        'RADIO': {
                            'default': 'radioButton',
                            'artifacts': {
                           //     'listbox': 'app/configurator/widgets/singlelistbox.widget.html',
                           //     'dropDownList': '',
                                'radioButton': 'app/configurator/widgets/radio.widget.html',
                           //     'singleSelectTabularDisplay': 'app/configurator/widgets/singletabdisplay.widget.html'
                            }
                        },
                        'controls/userenteredvalues.jsp': {
                            'default': 'uev',
                            'artifacts': {
                                'uev': 'app/configurator/widgets/uev.widget.html'
                            }
                        },
                        'USERENTEREDVALUES': {
                            'default': 'uev',
                            'artifacts': {
                                'uev': 'app/configurator/widgets/uev.widget.html'
                            }

                        },
                        'ALLPICKED': {
                            'default': 'displayAllChildren',
                            'artifacts': {
                                'displayAllChildren': 'app/configurator/widgets/displayAll.widget.html'
                            }
                        },
                        'controls/allpicked.jsp': {
                            'default': 'displayAllChildren',
                            'artifacts': {
                                'displayAllChildren': 'app/configurator/widgets/displayAll.widget.html'
                            }
                        },
                        'controls/dyninst.jsp': {
                            'default': 'dynamicInstantiation',
                            'artifacts': {
                                'dynamicInstantiation': 'app/configurator/widgets/dynamicInstantiate.widget.html'
                            }
                        },
                        'DYNINST': {
                            'default': 'dynamicInstantiation',
                            'artifacts': {
                                'dynamicInstantiation': 'app/configurator/widgets/dynamicInstantiate.widget.html'
                            }
                        },
                        'controls/combobox.jsp': {
                            'default': 'dropDownList',
                            'artifacts': {
                                'dropDownList': 'app/configurator/widgets/dropdownlist.widget.html'
                            }
                        },

                        'COMBOBOX': {
                            'default': 'dropDownList',
                            'artifacts': {
                                'dropDownList': 'app/configurator/widgets/dropdownlist.widget.html'
                            }
                        },
                        'controls/listbox.jsp': {
                            'default': 'listbox',
                            'artifacts': {
                                'listbox': 'app/configurator/widgets/singlelistbox.widget.html'
                            }
                        },
                        'LISTBOX': {
                            'default': 'listbox',
                            'artifacts': {
                                'listbox': 'app/configurator/widgets/singlelistbox.widget.html'
                            }
                        },
                        'controls/multiseltable.jsp': {
                            'default': 'multiSelectTabularDisplay',
                            'artifacts': {
                                'multiSelectTabularDisplay': 'app/configurator/widgets/multitabdisplay.widget.html'
                            }
                        },
                        'MULTISELTABLE': {
                            'default': 'multiSelectTabularDisplay',
                            'artifacts': {
                                'multiSelectTabularDisplay': 'app/configurator/widgets/multitabdisplay.widget.html'
                            }
                        },
                        'controls/multisellistbox.jsp': {
                            'default': 'multiSelectionListBox',
                            'artifacts': {
                                'multiSelectionListBox': 'app/configurator/widgets/multilistbox.widget.html'
                            }
                        },
                        'MULTISELLISTBOX': {
                            'default': 'multiSelectionListBox',
                            'artifacts': {
                                'multiSelectionListBox': 'app/configurator/widgets/multilistbox.widget.html'
                            }
                        },
                        'controls/singleseltable.jsp': {
                            'default': 'singleSelectTabularDisplay',
                            'artifacts': {
                                'singleSelectTabularDisplay': 'app/configurator/widgets/singletabdisplay.widget.html'
                            }
                        },
                        'SINGLESELTABLE': {
                            'default': 'singleSelectTabularDisplay',
                            'artifacts': {
                                'singleSelectTabularDisplay': 'app/configurator/widgets/singletabdisplay.widget.html'
                            }
                        },
                        'controls/displayProps.jsp': {
                            'default': 'tabularDisplay',
                            'artifacts': {
                                'tabularDisplay': 'app/configurator/widgets/tabdisplay.widget.html'
                            }
                        },
                        'DISPLAYPROPS': {
                            'default': 'tabularDisplay',
                            'artifacts': {
                                'tabularDisplay': 'app/configurator/widgets/tabdisplay.widget.html'
                            }
                        },
                        'controls/qtyseltable.jsp': {
                            'default': 'tabularDisplay',
                            'artifacts': {
                                'tabularDisplay': 'app/configurator/widgets/tabdisplay.widget.html'
                            }
                        },
                        'QTYSELTABLE': {
                            'default': 'tabularDisplay',
                            'artifacts': {
                                'tabularDisplay': 'app/configurator/widgets/tabdisplay.widget.html'
                            }
                        }
                    }
                }
            };
        
        /*
         * Set template mapping configuration for all the version 2 (omni) 
         * templates. This function will replace the default template 
         * mapping configurations.
         *
         * Input
         * - aTemplates: The template mapping configurations. Sample
         *   input is provided below:
         *  {
         *      <template-name>: {
         *          'file': <template-file>,
         *          'widgets': {
         *              <widget-name>: {
         *                  'default': <artifact-name>,
         *                  'artifacts': {
         *                      <artifact-name>: <artifact-file>,
         *                      .......
         *                  }
         *              },
         *              .......
         *          }
         *      },
         *      .......
         *  }
         */
        this.setTemplatesV2 = function (aTemplates) {
            templatesV2 = aTemplates;
        };
        
        /*
         * Set template mapping configuration for all the legacy configurator 
         * templates. This function will replace the default template 
         * mapping configurations.
         *
         * Input
         * - aTemplates: The template mapping configurations. Sample
         *   input is provided below:
         *  {
         *      <template-name>: {
         *          'file': <template-file>,
         *          'widgets': {
         *              <widget-name>: {
         *                  'default': <artifact-name>,
         *                  'artifacts': {
         *                      <artifact-name>: <artifact-file>,
         *                      .......
         *                  }
         *              },
         *              .......
         *          }
         *      },
         *      .......
         *  }
         */
        this.setTemplates = function (aTemplates) {
            templates = aTemplates;
        };

        /*
         * Extend template mapping configuration for version 2 
         * (omni) templates. This function will extend the default template mapping 
         * configuration. If the template already exists, the new configuration 
         * overrides the default configuration, otherwise a new template is added 
         * to the default configuration.
         *
         * Input
         * - aTemplates: The template mapping configurations. Sample
         *   input is provided below:
         *  {
         *      <template-name>: {
         *          'file': <template-file>,
         *          'widgets': {
         *              <widget-name>: {
         *                  'default': <artifact-name>,
         *                  'artifacts': {
         *                      <artifact-name>: <artifact-file>,
         *                      .......
         *                  }
         *              },
         *              .......
         *          }
         *      },
         *      .......
         *  }
         */
        this.extendTemplatesV2 = function (aTemplates) {
            angular.merge(templatesV2, aTemplates);
        };
        
        /*
         * Extend template mapping configuration for legacy 
         * templates. This function will extend the default template mapping 
         * configuration. If the template already exists, the new configuration 
         * overrides the default configuration, otherwise a new template is added 
         * to the default configuration.
         *
         * Input
         * - aTemplates: The template mapping configurations. Sample
         *   input is provided below:
         *  {
         *      <template-name>: {
         *          'file': <template-file>,
         *          'widgets': {
         *              <widget-name>: {
         *                  'default': <artifact-name>,
         *                  'artifacts': {
         *                      <artifact-name>: <artifact-file>,
         *                      .......
         *                  }
         *              },
         *              .......
         *          }
         *      },
         *      .......
         *  }
         */
        this.extendTemplates = function (aTemplate) {
            angular.merge(templates, aTemplate);
        };
        
        /*
         * Extend widget mapping configuration by template name for version 2 
         * (omni) templates. This function will extend the default widget mapping 
         * configuration. If the widget mapping configuration already exists, 
         * the new configuration overrides the default configuration, otherwise 
         * a new widget mapping configuration is added.
         *
         * Input
         * - aTemplateName: Name of the template to be overrided or added.
         * - aWidgets: Widget mapping configuration for the template. Sample
         *   input is provided below:
         *  {
         *      <widget-name>: {
         *          'default': <artifact-name>,
         *          'artifacts': {
         *              <artifact-name>: <artifact-file>,
         *              .......
         *          }
         *      },
         *      .......
         *  }
         */
        this.extendWidgetsForTemplateV2 = function (aTemplateName, aWidgets) {
            angular.merge(templatesV2[aTemplateName].widgets, aWidgets);
        };
        
        /*
         * Extend widget mapping configuration by template name for legacy
         * templates. This function will extend the default widget mapping 
         * configuration. If the widget mapping configuration already exists, 
         * the new configuration overrides the default configuration, otherwise 
         * a new widget mapping configuration is added.
         *
         * Input
         * - aTemplateName: Name of the template to be overrided or added.
         * - aWidgets: Widget mapping configuration for the template. Sample
         *   input is provided below:
         *  {
         *      <widget-name>: {
         *          'default': <artifact-name>,
         *          'artifacts': {
         *              <artifact-name>: <artifact-file>,
         *              .......
         *          }
         *      },
         *      .......
         *  }
         */
        this.extendWidgetsForTemplate = function (aTemaplteName, aWidgets) {
            angular.merge(templates[aTemaplteName].widgets, aWidgets);
        };
        
        this.$get = function () {
            return {
                getTemplatesV2 : function () {
                    return templatesV2;
                },
                getTemplates : function () {
                    return templates;
                },
                getTemplatesV2ByName : function (aTemplateName) {
                    return templatesV2[aTemplateName];
                },
                getTemplatesByName : function (aTemplateName) {
                    return templates[aTemplateName];
                }
            };
        };
    });
})();