/*
 * Licensed Materials - Property of IBM
 * IBM Sterling Configure Price Quote (5725-D11)
 * (C) Copyright IBM Corp.2017 All Rights Reserved.
 * US Government Users Restricted Rights - Use, duplication or disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
 */
 
/*global angular */
(function (module) {
    'use strict';
    module.directive('errSrc', ['$window', function ($window) {
        return {
            restrict: 'AE',
            link: function (scope, element, attrs) {
                var setImage = function () {

                    if (!angular.isUndefined($window.sfdcDetails) && !angular.isUndefined($window.sfdcDetails.resourcePath)) {
                        attrs.$set('src', $window.sfdcDetails.resourcePath + '/images/NoImageIcon.jpg');
                    } else {
						if(typeof (sfsStandAloneMode) !== 'undefined' && sfsStandAloneMode == false && typeof (pathPrefix) !== 'undefined' && pathPrefix) {
							attrs.$set('src', pathPrefix+'/images/NoImageIcon.jpg');
						} else {
							attrs.$set('src', 'images/NoImageIcon.jpg');
						}
                    }
                };
                if (angular.isUndefined(attrs['ngSrc'])) {
                    setImage();
                } else {
                    element.bind('error', setImage);
                }
            }
        };
	}]);
}(angular.module('ibmConfiguratorApp.configurator')));
