/*
 * IBM Confidential 
 *
 * OCO Source Materials
 *
 * IBM Configure, Price , Quote (5725 D11)
 *
 * (c) Copyright IBM Corp. 2015, 2016 All Rights Reserved.
 *
 * The source code for this program is not published or otherwise divested of its trade secrets,
 * irrespective of what has been deposited with the U.S. Copyright Office.
 */
(function () {
    'use strict';

    angular.module('ibmConfiguratorApp.configurator').directive('ibmConfiguratorConstraint', ibmConfiguratorConstraint);

    ibmConfiguratorConstraint.$inject = ['configuratorService', '$compile', '$rootScope'];
    /* @ngInject */
    function ibmConfiguratorConstraint (configuratorService, $compile, $rootScope) {
    	
    	var resolvedWidget = 'app/configurator/widgets/constraint/constraint.html';
    	
        var directive = {
            restrict: 'AE',
            scope: {
            	tabs: '=tabs',
            	options: '=options',
            	parentconfigurations: '=parentconfigurations',
            	modelproperties:'=modelproperties',
            	modelhierarchy:'=modelhierarchy',
            	messages: '=messages',
            	showingArea: '=showingArea'
            },
            link: link
        };
        return directive;

        function link(scope, element, attrs) {
        	
        	
            var el = $compile('<ng-include src=\"\''+resolvedWidget+'\'\"></ng-include>')(scope);
            element.replaceWith(el);
            
            scope.preSelect = preSelect;
            scope.secRecommendation = secRecommendation;
            scope.resolveConstraint = resolveConstraint;
            
            function preSelect() {
            	if ($rootScope.recommendationRows.length > 0) {
            		scope.recommendationRow = $rootScope.recommendationRows[0];
            		if (scope.recommendationRow !== undefined) {
            			$rootScope.recommendationRows.selected = 'recRow0';
            		}
            	}
            }
            
            function secRecommendation(recommendationRow) {
            	scope.recommendationRow = recommendationRow;
            }
            
            function resolveConstraint() {
            	var remOpt = [];
                var i, j;
            	var index = 0;
                if (scope.recommendationRow.removeList) {
                	for (i=0; i<scope.recommendationRow.removeList.length; i++) {
                        if (scope.recommendationRow.removeList[i].Children) {
                    		for (j=0; j<scope.recommendationRow.removeList[i].Children.length; j++) {
                    			var removeChildObject = scope.recommendationRow.removeList[i].Children[j];
                    			
                    			remOpt[index] = {};
                    			remOpt[index].path = removeChildObject.path;
                    			index++;
                    		}
                        }
                	}
                }
            	
            	var addOpt = [];
            	index = 0;
                if (scope.recommendationRow.addList) {
                	for (i=0; i<scope.recommendationRow.addList.length; i++) {
                        if (scope.recommendationRow.addList[i].Children) {
                    		for (j=0; j<scope.recommendationRow.addList[i].Children.length; j++) {
                    			var addChildObject = scope.recommendationRow.addList[i].Children[j];

                    			addOpt[index] = {};
                    			addOpt[index].path = addChildObject.path;
                    			index++;
                    		}
                        }
                	}
            	}
                if (scope.recommendationRow.keepList) {
                	for (i=0; i<scope.recommendationRow.keepList.length; i++) {
                        if (scope.recommendationRow.keepList[i].Children) {
                    		for (j=0; j<scope.recommendationRow.keepList[i].Children.length; j++) {
                    			var keepChildObject = scope.recommendationRow.keepList[i].Children[j];

                    			addOpt[index] = {};
                    			addOpt[index].path = keepChildObject.path;
                    			index++;
                    		}
                        }
                	}
                }
            	
				configuratorService.removeAndAddConfigurationPicks(remOpt, addOpt, $rootScope.picks, scope.parentConfigurations,scope.nestedConfiguration, $rootScope.modelDepth).success(function (response) {
					$rootScope.picks = response.picks;
					scope.tabs = response.tabs;
					scope.options = response.options;
					scope.parentConfigurations = response.parentConfigurations;
					scope.modelproperties = response.properties;
					scope.modelHierarchy  = response.modelHierarchy;
					scope.messages = response.messages;
					$rootScope.modelPath = response.path;
					$rootScope.modelDepth = response.modelDepth;
					$rootScope.summary = response.summary;
					$rootScope.total = response.properties._totalPrice.value;
					
                if (response.properties['UI: DISPLAY NAME'] !== undefined ){  
        			if('' !== response.properties['UI: DISPLAY NAME'].value){
        				$rootScope.modeldisname =  response.properties['UI: DISPLAY NAME'].value; 
        			}            			             		
        			}else {
        				$rootScope.modeldisname =  response.properties['_description'].value;            			
        			}
				});
			}
        }
    }
})();
