/*
 * IBM Confidential 
 *
 * OCO Source Materials
 *
 * IBM Configure, Price , Quote (5725 D11)
 *
 * (c) Copyright IBM Corp. 2015, 2016 All Rights Reserved.
 *
 * The source code for this program is not published or otherwise divested of its trade secrets,
 * irrespective of what has been deposited with the U.S. Copyright Office.
 */

/*global $ */
(function () {
    'use strict';

    angular.module('ibmConfiguratorApp.shell').controller('DebugController', DebugController)
        .filter('addCheckStatusFilter', addCheckStatusFilter);

    function addCheckStatusFilter() {
        return function (data) {
            console.log(data);
            return data;
        };
    }

    DebugController.$inject = ['$scope', '$location', 'config', 'logger', '$http', '$compile', '$rootScope'];
    /* @ngInject */

    function DebugController($scope, $location, config, logger, $http, $compile, $rootScope) {
       // initJsPanel();
        var vm = this;
        vm.traceData = {};
        vm.watchingProperties = [];
        vm.removeWatchingProperty = removeWatchingProperty;
        vm.addWatchingProperty = addWatchingProperty;
        console.warn($rootScope.traceLog);
        vm.traceData.traceLog = $rootScope.traceLog;
        vm.traceData.propertyPool = $rootScope.propertyPool;
        var currentParams = $location.search();
        vm.showDebug=currentParams.DEBUG;
		
		vm.handleCloseDebugger = function () {
			$rootScope.debugEnabled = false;
			//console.log("handleCloseDebugger", $rootScope.debugEnabled);
			$('#debuggerContainer').hide();
		}
        
		$scope.$watch('propertyPool',updateWatchingProperty);
        /*    $http.get('json/resp.json').success(function (response) {
            var propertyPool = [];
            for(var index in response.properties){
            	if(response.properties.hasOwnProperty(index)){
            		propertyPool.push( response.properties[index]);
            	}
                
            }
            response.propertyPool = propertyPool;
            vm.traceData = response;

        });*/

        function removeWatchingProperty(checkboxId, data) {
            $('#' + checkboxId)[0].checked = false;
            removePropertyDataItem(data);
        }

        function removePropertyDataItem(data) {
            for (var i = 0; i < vm.watchingProperties.length; i++) {
                if (vm.watchingProperties[i].Name === data.Name) {
                    vm.watchingProperties.splice(i, 1);
                    break;
                }
            }
        }

        function addWatchingProperty(data, $event) {
            if ($($event.target)[0].checked) {
                data.checkboxId = $($event.target).attr('id');
                vm.watchingProperties.push(data);
            } else {
                removePropertyDataItem(data);
            }
        }

        function updateWatchingProperty(){
            vm.propertyPool = [];
            for(var i in $rootScope.propertyPool){
                var property = $rootScope.propertyPool[i];
                property.pathname = property.path+'.'+property.name;
                vm.propertyPool.push(property);
                for(var j in vm.watchingProperties) {
                    if(vm.watchingProperties[j]['Name'] === property.pathname) {
                        vm.watchingProperties[j]['Value'] = property.value;
                    }
                }
            }
        }

        function initJsPanel() {
            var consolePanel = $.jsPanel({
                selector: '#jspanelContainer',
                panelstatus: 'maximized',
                position: 'bottom left',
                theme: 'light',
                title: 'Console',
                resizable: {
                    maxHeight: 350
                },
                toolbarHeader: [
                    {
                        item: '<div id="ruleTab" class="consoleTab consoleTab-selected">' +
                            'Rule Firing Trace</div>',
                        event: 'click',
                        callback: function (event) {
                            $('#ruleTab').addClass('consoleTab-selected');
                            $('#propertyTab').removeClass('consoleTab-selected');
                            $('rule-firing-trace').removeClass('hide');
                            $('property-pool').addClass('hide');
                        }
                    },
                    {
                        item: '<div id="propertyTab" class="consoleTab">Property Pool</div>',
                        event: 'click',
                        callback: function (event) {
                            $('#ruleTab').removeClass('consoleTab-selected');
                            $('#propertyTab').addClass('consoleTab-selected');
                            $('rule-firing-trace').addClass('hide');
                            $('property-pool').removeClass('hide');
                        }
                    }
                ]
            });
            var newElement = angular.element('<console-frame></console-frame>');
            consolePanel.content.append(newElement);
            $compile(newElement)($scope);

           /* $(window).resize(function () {
                if (consolePanel.status === 'maximized') {
                    consolePanel.resize($(window).width() - 5);
                }
            });*/
        }
    }

})();
