/*
 * IBM Confidential 
 *
 * OCO Source Materials
 *
 * IBM Configure, Price , Quote (5725 D11)
 *
 * (c) Copyright IBM Corp. 2015, 2016 All Rights Reserved.
 *
 * The source code for this program is not published or otherwise divested of its trade secrets,
 * irrespective of what has been deposited with the U.S. Copyright Office.
 */

/*global $ */
(function () {
    'use strict';

    var modluedic = angular.module('ibmConfiguratorApp.shell', ['pascalprecht.translate']);

    if (typeof standAloneMode === 'undefined' || standAloneMode) {
        modluedic.config(['$translateProvider', function ($translateProvider) {
            var localeFilePath;
            if (typeof (window.configurator_translationdata_path) !== 'undefined') {
                localeFilePath = window.configurator_translationdata_path + '/translation_data/configurator-';
            } else {
                localeFilePath = 'translation_data/configurator-';
            }

            $translateProvider.useStaticFilesLoader({
                prefix: localeFilePath,
                suffix: '.json'
            });
            $translateProvider.fallbackLanguage('en_US');
            $translateProvider.forceAsyncReload(true);
            $translateProvider.useSanitizeValueStrategy('sanitize');
		}]);

    }

    modluedic.controller('ShellController', ShellController);

    ShellController.$inject = ['$translate', '$rootScope', '$timeout', 'config', 'logger', '$location', '$routeParams', '$window', 'configuratorService', '$scope'];
    /* @ngInject */


    function ShellController($translate, $rootScope, $timeout, config, logger, $location, $routeParams, $window, configuratorService, $scope) {
        var vm = this;

        /*
        vm.data = {
                'modelPath' : 'matrix/RefModels/Reference_0020Model',
    			'organizationCode' : 'matrix',
				'modellanguage' : 'en',
				'modelcountry' : 'US',
				'currency' : 'USD',
	        };
        */
        
		vm.getModelCache = function (){
			var tem = configuratorService.getModelCache();
			tem.then(function(data){
				$rootScope.data= data.data;
			});
    	
		};
		
		vm.clearAll = function (){					
			configuratorService.clearModelCache().success(function () {				
			var temp = configuratorService.getModelCache();			
			temp.then(function(data1){			
				$rootScope.data= data1.data;		
				
			});			
			});
						
		};
		
		vm.clearCacheEntries = function (){			
			configuratorService.clearModelCacheEntries().then(function () {
				
			var tem = configuratorService.getModelCache();
			tem.then(function(data){
				$rootScope.data= data.data;
			})});
						
		};


        if (vm.data !== undefined && vm.data !== null) {
            $rootScope.modelPath = vm.data.modelPath;
            $rootScope.organizationCode = vm.data.organizationCode;
            $rootScope.modellanguage = vm.data.modellanguage;
            $rootScope.modelcountry = vm.data.modelcountry;
            $rootScope.currency = vm.data.currency;
            $rootScope.currencySymbol = vm.data.currencySymbol;
            $rootScope.customerID = vm.data.customerID;
            $rootScope.firingPhase = vm.data.firingPhase;
            $rootScope.clientProperties = vm.data.clientProperties;
            $rootScope.ignoreCustomerEntitlements = vm.data.ignoreCustomerEntitlements ? vm.data.ignoreCustomerEntitlements : false;
            $rootScope.enableUevUpdateButton = vm.data.enableUevUpdateButton ? vm.data.enableUevUpdateButton : false;
            console.log(vm.data);
            //console.log($rootScope.modelPath);
        } else if ($window.configModelData !== undefined && $window.configModelData !== null) {
            $rootScope.modelPath = $window.configModelData.modelPath;
            $rootScope.organizationCode = $window.configModelData.organizationCode;
            $rootScope.modellanguage = $window.configModelData.modellanguage;
            $rootScope.modelcountry = $window.configModelData.modelcountry;
            $rootScope.currency = $window.configModelData.currency;
            $rootScope.currencySymbol = $window.configModelData.currencySymbol;
            $rootScope.customerID = $window.configModelData.customerID;
            $rootScope.firingPhase = $window.configModelData.firingPhase;
            $rootScope.clientProperties = $window.configModelData.clientProperties;
            $rootScope.ignoreCustomerEntitlements = $window.configModelData.ignoreCustomerEntitlements ? $window.configModelData.ignoreCustomerEntitlements : false;
            $rootScope.enableUevUpdateButton = $window.configModelData.enableUevUpdateButton ? $window.configModelData.enableUevUpdateButton : false;
        } else {
            var currParams = $location.search();
            if (typeof (currParams) !== 'undefined' && currParams !== null) {

                //needed info  modelPath organizationCode modellanguage modelcountry currency

                // Hardcoded for demo purpose
                /*
                $rootScope.modelPath = 'matrix/RefModels/Reference_0020Model';
                $rootScope.organizationCode = 'matrix';
                $rootScope.modellanguage = 'en';
                $rootScope.modelcountry = 'US';	
                $rootScope.currency = 'USD';
                */

                $rootScope.modelPath = currParams.Model;
                $rootScope.organizationCode = currParams.organizationCode;
                var locale = currParams.LocaleCode;
                if (typeof (locale) !== 'undefined' && locale !== null) {
                    var langCountry = locale.split('_');
                    $rootScope.modellanguage = langCountry[0];
                    $rootScope.modelcountry = langCountry[1];
                }
                $rootScope.currency = currParams.currency;
                $rootScope.currencySymbol = currParams.currencySymbol;

                var configServer = currParams.configuratorServer;
                if (typeof (configServer) !== 'undefined' && configServer !== null) {
                    $window.configuratorServer = configServer;
                }

                $rootScope.enableUevUpdateButton = currParams.enableUevUpdateButton ? currParams.enableUevUpdateButton : false;
            }
        }

        if ($rootScope.modellanguage === undefined || $rootScope.modellanguage === null) {
            $rootScope.modellanguage = 'en';
        }
        if ($rootScope.modelcountry === undefined || $rootScope.modelcountry === null) {
            $rootScope.modelcountry = 'US';
        }
        if ($rootScope.currency === undefined || $rootScope.currency === null) {
            $rootScope.currency = 'USD';
        }
        if ($rootScope.currencySymbol === undefined || $rootScope.currencySymbol === null) {
            if ('USD' === $rootScope.currency) {
                $rootScope.currencySymbol = '$';
            } else if ('EUR' === $rootScope.currency) {
                $rootScope.currencySymbol = '€';
            } else if ('JPY' === $rootScope.currency) {
                $rootScope.currencySymbol = '¥';
            } else if ('KRW' === $rootScope.currency) {
                $rootScope.currencySymbol = '₩';
            } else if ('BRL' === $rootScope.currency) {
                $rootScope.currencySymbol = 'R$';
            } else if ('CNY' === $rootScope.currency) {
                $rootScope.currencySymbol = '¥';
            } else if ('TWD' === $rootScope.currency) {
                $rootScope.currencySymbol = 'NT$';
            } else {
                $rootScope.currencySymbol = '$';
            }
        }

        if (($rootScope.modellanguage === undefined || $rootScope.modellanguage === null) ||
            ($rootScope.modelcountry === undefined || $rootScope.modelcountry === null)) {
            console.log('locale is undefined, will use en_US');
            $translate.use('en_US');
        } else {
            var useLocale = $rootScope.modellanguage + '_' + $rootScope.modelcountry;
            $translate.use(useLocale);
        }

        vm.resize = function () {
            var height = $(window).height() -
                $('.shell > header').height() -
                $('.shell > footer').height() - 38; //38 is the padding
            $('.shell > section').height(height);
        };

        $scope.externalGenerateBOM = function (callback, type) {
            configuratorService.generateBOM(null, type).then(function (response) {
                callback(response.data);
            });
        };
    }
})();
