#
# Licensed Materials - Property of IBM 
#
# IBM Sterling Selling and Fullfillment Suite
#
# (c) Copyright IBM Corp. 2000 All Rights Reserved.
#
# US Government Users Restricted Rights - Use, duplication or disclosure restricted by GSA ADP
# Schedule Contract with IBM Corp.
#

#!/bin/sh
# $Id: sdk.sh,v 1.6 2003/01/02 21:00:28 releish Exp $

# check for java
if [ -z "$JAVA_HOME" ]
then
echo "You must set the JAVA_HOME environment variable."
exit 1
fi

# check for Comergent SDK home
if [ -z "$COMERGET_SDK_HOME" ]
then
COMERGET_SDK_HOME=$PWD/../..
export COMERGET_SDK_HOME
fi

# build classpath
CP=$COMERGET_SDK_HOME/etc/lib/ant.jar
CP=$CP:$COMERGET_SDK_HOME/etc/lib/optional.jar
CP=$CP:$COMERGET_SDK_HOME/etc/lib/antmerge.jar
CP=$CP:$COMERGET_SDK_HOME/etc/lib/xercesimpl.jar
CP=$CP:$COMERGET_SDK_HOME/etc/lib/xml-apis.jar
CP=$CP:$COMERGET_SDK_HOME/etc/lib/ant-contrib-0.1.jar
CP=$CP:$COMERGET_SDK_HOME/etc/lib/jaxp.jar
CP=$CP:$COMERGET_SDK_HOME/etc/lib/xalan.jar
CP=$CP:$COMERGET_SDK_HOME/etc/lib/serializer.jar
CP=$CP:$JAVA_HOME/lib/tools.jar

if [ $1 ]
then
ARGS=$1
fi

if [ $2 ]
then
ARGS="-Darg1=$2 $ARGS"
fi

if [ $3 ]
then
ARGS="-Darg2=$3 $ARGS"
fi

if [ $4 ]
then
ARGS="-Darg3=$4 $ARGS"
fi

if [ $5 ]
then
ARGS="-Darg4=$5 $ARGS"
fi

if [ $6 ]
then
ARGS="-Darg5=$6 $ARGS"
fi

cygwin=false;
case "`uname`" in
  CYGWIN*) cygwin=true ;;
esac

# For Cygwin, switch paths to Windows format before running java
if $cygwin; then
  CP=`cygpath --path --windows "$CP"`
fi


# run ant
$JAVA_HOME/bin/java -Xmx128m -classpath $CP org.apache.tools.ant.Main -emacs -buildfile build-fmwk.xml $ARGS
