<?xml version="1.0" ?>
<!--
  Licensed Materials - Property of IBM 

  IBM Sterling Selling and Fullfillment Suite 9.1 

  (c) Copyright IBM Corp 2001, 2010 All Rights Reserved

  US Government Users Restricted Rights - Use, duplication or disclosure
  restricted by GSA ADP Schedule Contract with IBM Corp.
-->
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
    version="1.0">

   <xsl:output      method="xml"
                    indent="yes"
                    omit-xml-declaration="yes"/>
    <xsl:include href="./util/customizationstatusdisplay.xsl"/>
    <xsl:include href="./util/customizationrules.xsl"/>

    <xsl:param name="project.name"/>
    <xsl:param name="debs.version"/>
    <xsl:preserve-space elements="*"/>


    <xsl:template match="/">

    <list>
        <xsl:for-each select="//modifiedClass">
            <xsl:sort select="@moduleName" order="ascending"/>
        <modifiedClass>
            <xsl:attribute name="className"><xsl:value-of select="@className"/></xsl:attribute>
            <xsl:attribute name="moduleName"><xsl:value-of select="@moduleName"/></xsl:attribute>
            <xsl:if test="@additional='true'" >
                <xsl:attribute name="additional"><xsl:value-of select="@additional"/></xsl:attribute>
            </xsl:if>
            <xsl:call-template name="getCustomizationStatus">
                <xsl:with-param name="class" select="."/>
                <xsl:with-param name="classIsNew" select="boolean(@additional='true')"/>
                <xsl:with-param name="outputType">xml</xsl:with-param>
            </xsl:call-template>
            <xsl:if test="count(child::extends)>0" >
            <extends>
                <xsl:attribute name="className"><xsl:value-of select="extends/@className"/></xsl:attribute>
                <xsl:attribute name="moduleName"><xsl:value-of select="extends/@moduleName"/></xsl:attribute>
                <xsl:if test="extends/@additional='true'" >
                    <xsl:attribute name="additional"><xsl:value-of select="extends/@additional"/></xsl:attribute>
                </xsl:if>
                <xsl:call-template name="getSubclassStatus">
                    <xsl:with-param name="class" select="."/>
                    <xsl:with-param name="classIsNew" select="boolean(@additional='true')"/>
                    <xsl:with-param name="baseClass" select="extends"/>
                    <xsl:with-param name="baseClassIsNew" select="boolean(extends/@additional='true')"/>
                    <xsl:with-param name="outputType">xml</xsl:with-param>
                </xsl:call-template>
             </extends>
             </xsl:if>
             <xsl:for-each select="implements">
                <xsl:sort select="@moduleName" order="ascending"/>
             <implements>
                <xsl:attribute name="className"><xsl:value-of select="@className"/></xsl:attribute>
                <xsl:attribute name="moduleName"><xsl:value-of select="@moduleName"/></xsl:attribute>
                <xsl:if test="implements/@additional='true'" >
                    <xsl:attribute name="additional"><xsl:value-of select="@additional"/></xsl:attribute>
                </xsl:if>
                <xsl:call-template name="getInterfaceImplStatus">
                    <xsl:with-param name="class" select="parent::modifiedClass"/>
                    <xsl:with-param name="classIsNew" select="boolean(parent::modifiedClass/@additional='true')"/>
                    <xsl:with-param name="interface" select="."/>
                    <xsl:with-param name="interfaceIsNew" select="boolean(@additional='true')"/>
                    <xsl:with-param name="outputType">xml</xsl:with-param>
                </xsl:call-template>
              </implements>
              </xsl:for-each>
              <xsl:for-each select="hasReferenceOf">
                  <xsl:sort select="@moduleName" order="ascending"/>
              <hasReferenceOf>
                    <xsl:attribute name="className"><xsl:value-of select="@className"/></xsl:attribute>
                    <xsl:attribute name="moduleName"><xsl:value-of select="@moduleName"/></xsl:attribute>
                    <xsl:if test="implements/@additional='true'" >
                        <xsl:attribute name="additional"><xsl:value-of select="@additional"/></xsl:attribute>
                    </xsl:if>
                    <xsl:call-template name="getReferenceStatus">
                        <xsl:with-param name="class" select="parent::modifiedClass"/>
                        <xsl:with-param name="classIsNew" select="boolean(parent::modifiedClass/@additional='true')"/>
                        <xsl:with-param name="refClass" select="."/>
                        <xsl:with-param name="refClassIsNew" select="boolean(@additional='true')"/>
                        <xsl:with-param name="outputType">xml</xsl:with-param>
                    </xsl:call-template>
               </hasReferenceOf>
               </xsl:for-each>
        </modifiedClass>
     </xsl:for-each>
</list>
</xsl:template>

</xsl:stylesheet>
