<?xml version="1.0" ?>
<!--
  Licensed Materials - Property of IBM 

  IBM Sterling Selling and Fullfillment Suite 9.1 

  (c) Copyright IBM Corp 2001, 2010 All Rights Reserved

  US Government Users Restricted Rights - Use, duplication or disclosure
  restricted by GSA ADP Schedule Contract with IBM Corp.
-->
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
    version="1.0">

   <xsl:output      method="html"
                    doctype-public="-//W3C//DTD XHTML 1.0 Transitional//EN"
                    doctype-system="http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd"
                    indent="yes"
                    omit-xml-declaration="yes"/>
    <xsl:include href="./util/customizationstatusdisplay.xsl"/>
    <xsl:param name="project.name"/>
    <xsl:param name="debs.version"/>
    <xsl:preserve-space elements="*"/>


    <xsl:template match="/">

<html>
    <head>
        <title><xsl:value-of select="$project.name"/>Class customizations report</title>
    </head>
    <body test="#000000" bgcolor="#FFFFFF" LINK="#0000FF" vlink="#0000FF" alink="#000066">
        <div id="overDiv" style="position:absolute; visibility:hidden; z-index:1000;"/>
        <script language='JavaScript' src='../../docs/html/overlib.js'></script>
        <table border="0" width="100%">
            <tr>
                <td width="40">
                    <img src="../../docs/art/logo.gif" ALT="Comergent Technologies" border="0" width="158" height="79"/>
                </td>
                 <td align="center" width="100%"> <font size="+2"><b><xsl:value-of select="//projectname"/> Class Customizations Report</b></font>
                </td>
                <td align="right" valign="top">
                    <img src="../../docs/art/spacer.gif" width="158" height="1"/>
                </td>
                <td align="center" with="100%">
                        <font size="-1">&#160;</font>
                </td>
            </tr>
        </table>
  <!-- ============================================================= -->
            <table border="0" width="75%" cellspacing="0" cellpadding="0">
                <tr>
                    <td colspan="3">
                        <font size="+1"><b>Summary</b></font>
                    </td>
                </tr>
                <tr height="2" bgcolor="#000000">
                    <td align="center" with="100%" colspan="2">
                        <font size="-1">&#160;</font>
                    </td>
                    <td align="right" valign="top">
                        <img src="../../docs/art/spacer.gif" width="158" height="1"/>
                    </td>
                </tr>
                <tr>
                    <td colspan="3"> &#160;
                        <!-- Blank link -->
                    </td>
                </tr>
                <tr>
                    <td colspan="3">
                        <b>Project Name : </b><xsl:value-of select="$project.name"/>
                    </td>
                </tr>
                <tr>
                    <td colspan="3">
                        <b>Base Release : </b><xsl:value-of select="$debs.version"/>
                    </td>
                </tr>
                <tr>
                    <td colspan="3"> &#160;
                        <!-- Blank link -->
                    </td>
                </tr>

                <xsl:variable name="numOfRedClasses" select="count(//modifiedClass[@customizationStatus='red'])"/>
                <xsl:variable name="numOfYellowClasses" select="count(//modifiedClass[@customizationStatus='yellow'])"/>
                <xsl:variable name="numOfGreenClasses" select="count(//modifiedClass[@customizationStatus='green'])"/>
                <table width="100%">
                    <tr>
                        <td colspan="3" bgcolor="#d4e2ed">
                            <b>Classes Customization Status</b>
                        </td>
                    </tr>
                    <tr>
                        <td colspan="2">
                            <b>Number of Bad Customizations</b>
                        </td>
                        <td colspan="1" align="right">
                            <xsl:value-of select="$numOfRedClasses"/>
                        </td>
                    </tr>
                    <tr>
                        <td colspan="2">
                            <b>Number of Problamatic Customizations</b>
                        </td>
                        <td colspan="1" align="right">
                            <xsl:value-of select="$numOfYellowClasses"/>
                        </td>
                    </tr>
                    <tr>
                        <td colspan="2">
                            <b>Number of Good Customizations</b>
                        </td>
                        <td colspan="1" align="right">
                            <xsl:value-of select="$numOfGreenClasses"/>
                        </td>
                    </tr>
                    <tr  bgcolor="#EEEEFF">
                        <td colspan="2">
                            <b>Total Number of  Customizations</b>
                        </td>
                        <td colspan="1" align="right">
                            <xsl:value-of select="$numOfRedClasses+$numOfYellowClasses+$numOfGreenClasses"/>
                        </td>
                    </tr>
                </table>
                 <p>&#160;</p>
                <xsl:variable name="numOfRedSubclasses" select="count(//extends[@customizationStatus='red'])"/>
                <xsl:variable name="numOfYellowSubclasses" select="count(//extends[@customizationStatus='yellow'])"/>
                <xsl:variable name="numOfGreenSubclasses" select="count(//extends[@customizationStatus='green'])"/>
                <table width="100%">
                    <tr>
                        <td colspan="3" bgcolor="#d4e2ed">
                            <b>Subclassing Summary</b>
                        </td>
                    </tr>
                    <tr>
                        <td colspan="2">
                            <b>Number of Bad subclassing</b>
                        </td>
                        <td colspan="1" align="right">
                            <xsl:value-of select="$numOfRedSubclasses"/>
                        </td>
                    </tr>
                    <tr>
                        <td colspan="2">
                            <b>Number of Problamatic subclassing</b>
                        </td>
                        <td colspan="1" align="right">
                            <xsl:value-of select="$numOfYellowSubclasses"/>
                        </td>
                    </tr>
                    <tr>
                        <td colspan="2">
                            <b>Number of Good Subclassing</b>
                        </td>
                        <td colspan="1" align="right">
                            <xsl:value-of select="$numOfGreenSubclasses"/>
                        </td>
                    </tr>
                    <tr bgcolor="#EEEEFF">
                        <td colspan="2" >
                            <b>Total Number of Subclassing</b>
                        </td>
                        <td colspan="1" align="right" >
                            <xsl:value-of select="$numOfRedSubclasses+$numOfYellowSubclasses+$numOfGreenSubclasses"/>
                        </td>
                    </tr>
                </table>
                <p>&#160;</p>
                <xsl:variable name="numOfRedImpls" select="count(//implements[@customizationStatus='red'])"/>
                <xsl:variable name="numOfYellowImpls" select="count(//implements[@customizationStatus='yellow'])"/>
                <xsl:variable name="numOfGreenImpls" select="count(//implements[@customizationStatus='green'])"/>
                <table width="100%">
                    <tr>
                        <td colspan="3" bgcolor="#d4e2ed">
                            <b>Interface Implementation Summary</b>
                        </td>
                    </tr>
                    <tr>
                        <td colspan="2">
                            <b>Number of Bad Interface Implementations</b>
                        </td>
                        <td colspan="1" align="right">
                            <xsl:value-of select="$numOfRedImpls"/>
                        </td>
                    </tr>
                    <tr>
                        <td colspan="2">
                            <b>Number of Problamatic Interface Implementations</b>
                        </td>
                        <td colspan="1" align="right">
                            <xsl:value-of select="$numOfYellowImpls"/>
                        </td>
                    </tr>
                    <tr>
                        <td colspan="2">
                            <b>Number of Good Interface Implementations</b>
                        </td>
                        <td colspan="1" align="right">
                            <xsl:value-of select="$numOfGreenImpls"/>
                        </td>
                    </tr>
                    <tr bgcolor="#EEEEFF">
                        <td colspan="2" >
                            <b>Total Number of Interface Implementations</b>
                        </td>
                        <td colspan="1" align="right">
                            <xsl:value-of select="$numOfRedImpls+$numOfYellowImpls+$numOfGreenImpls"/>
                        </td>
                    </tr>
                </table>
                <p>&#160;</p>
                <xsl:variable name="numOfRedReferences" select="count(//hasReferenceOf[@customizationStatus='red'])"/>
                <xsl:variable name="numOfYellowReferences" select="count(//hasReferenceOf[@customizationStatus='yellow'])"/>
                <xsl:variable name="numOfGreenReferences" select="count(//hasReferenceOf[@customizationStatus='green'])"/>
                <table width="100%">
                    <tr>
                        <td colspan="3" bgcolor="#d4e2ed">
                            <b>Reference Summary</b>
                        </td>
                    </tr>
                    <tr>
                        <td colspan="2">
                            <b>Number of Bad subclassing</b>
                        </td>
                        <td colspan="1" align="right">
                            <xsl:value-of select="$numOfRedReferences"/>
                        </td>
                    </tr>
                    <tr>
                        <td colspan="2">
                            <b>Number of Problamatic subclassing</b>
                        </td>
                        <td colspan="1" align="right">
                            <xsl:value-of select="$numOfYellowReferences"/>
                        </td>
                    </tr>
                    <tr>
                        <td colspan="2">
                            <b>Number of Good Subclassing</b>
                        </td>
                        <td colspan="1" align="right">
                            <xsl:value-of select="$numOfGreenReferences"/>
                        </td>
                    </tr>
                    <tr bgcolor="#EEEEFF">
                        <td colspan="2" >
                            <b>Total Number of Subclassing</b>
                        </td>
                        <td colspan="1" align="right">
                            <xsl:value-of select="$numOfRedReferences+$numOfYellowReferences+$numOfGreenReferences"/>
                        </td>
                    </tr>
                </table>
            </table>
            <p>&#160;</p>
<!--             <a name="api"></a> -->

          <xsl:if test="count(child::*)>0">
            <table border="0" width="100%" cellspacing="0" cellpadding="0">
                <tr>
                    <td colspan="3">
                        <font size="+1"><b>Detailed Classes List</b></font>
                    </td>
                </tr>
                <tr height="2" bgcolor="#000000">
                    <td align="center" with="100%">
                        <font size="-1">&#160;</font>
                    </td>
                    <td align="right" valign="top">
                        <img src="../../docs/art/spacer.gif" width="158" height="1"/>
                    </td>
                </tr>
                <tr>
                    <td colspan="3"> &#160;
                        <!-- Blank link -->
                    </td>
                </tr>
            <xsl:for-each select="//modifiedClass">
                <xsl:sort select="@moduleName" order="ascending"/>
                <table border="0" width="100%" cellspacing="0" cellpadding="0">
                    <tbody>
                    <tr>
                        <td colspan="4"><br /></td>
                    </tr>
                    <!-- <tr>
                        <td colspan="4">
                            <b><xsl:value-of select="@moduleName"/></b><br />
                        </td>
                    </tr> -->
                    <tr bgcolor="#EEEEFF">
                        <td colspan="3">
                            <b><xsl:value-of select="@className"/></b><br />
                        </td>
                        <td align="right">
                            <xsl:call-template name="writeCustomizationStatus">
                                <xsl:with-param name="status" select="@customizationStatus"/>
                                <xsl:with-param name="explanation" select="@customzationExplanation"/>
                                <xsl:with-param name="outputType">html</xsl:with-param>
                            </xsl:call-template>
                            <br />
                        </td>
                    </tr>
                    <xsl:if test="count(child::extends)>0" >
                    <tr>
                        <td><br />
                        </td>
                        <td colspan="3" align="left">
                            <b>extends</b><br />
                        </td>
                     </tr>
                     <tr>
                        <td colspan="2">
                            <br />
                        </td>
                        <td >
                            &#160;<xsl:value-of select="extends/@className"/><br />
                        </td>
                        <td align="right">
                            <!-- <b><xsl:value-of select="extends/@moduleName"/></b> -->
                            <xsl:call-template name="writeCustomizationStatus">
                                <xsl:with-param name="status" select="extends/@customizationStatus"/>
                                <xsl:with-param name="explanation" select="extends/@customzationExplanation"/>
                                <xsl:with-param name="outputType">html</xsl:with-param>
                            </xsl:call-template>
                            <br />
                        </td>
                    </tr>
                    </xsl:if>
                    <xsl:if test="count(child::implements)>0" >
                    <tr>
                        <td><br />
                        </td>
                        <td colspan="3" align="left">
                            <b>implements</b><br />
                        </td>
                     </tr>
                     <xsl:for-each select="implements">
                         <tr>
                            <td colspan="2">
                                <br />
                            </td>
                            <td >
                                &#160;<xsl:value-of select="@className"/><br />
                            </td>
                            <td align="right">
                                <!-- <b><xsl:value-of select="extends/@moduleName"/></b> -->
                                <xsl:call-template name="writeCustomizationStatus">
                                    <xsl:with-param name="status" select="@customizationStatus"/>
                                    <xsl:with-param name="explanation" select="@customzationExplanation"/>
                                    <xsl:with-param name="outputType">html</xsl:with-param>
                                </xsl:call-template>
                                <br />
                            </td>
                        </tr>
                    </xsl:for-each>
                    </xsl:if>
                    <xsl:if test="count(child::hasReferenceOf)>0" >
                        <tr>
                            <td >

                            </td>
                            <td colspan="3" align="left">
                                <b>references</b>
                            </td>
                         </tr>
                           <xsl:for-each select="hasReferenceOf">
                                <xsl:sort select="@moduleName" order="ascending"/>
                         <tr>
                                    <td  colspan="2">
                                    </td>
                                    <td  >
                                        &#160;<xsl:value-of select="@className"/>
                                    </td>
                                    <td  align="right">
                                        <!-- <xsl:value-of select="@moduleName"/> -->
                                        <xsl:call-template name="writeCustomizationStatus">
                                            <xsl:with-param name="status" select="@customizationStatus"/>
                                            <xsl:with-param name="explanation" select="@customzationExplanation"/>
                                            <xsl:with-param name="outputType">html</xsl:with-param>
                                        </xsl:call-template>
                                    </td>
                          </tr>
                            </xsl:for-each>
                        </xsl:if>
                        </tbody>
                </table>
                </xsl:for-each>
            </table>
            <p>&#160;</p>
     </xsl:if>

       <p>&#160;</p>
<!-- ============================================================== -->
        <hr size="2" noshade="true"/>
        <table width="100%" border="0">
            <tr>
                <td>
                    <font size="-1">
                        Send comments to: <a href="mailto:ordercaptureapps_support@stercomm.com">ordercaptureapps_support@stercomm.com</a>
                    </font>
                </td>
                <td>
                    <div align="right">
                        <font size="-1">&#169; IBM Corp. 2012</font>
                    </div>
                </td>
            </tr>
        </table>
        <br />
    </body>
</html>

</xsl:template>

<xsl:template name="writeStatus">
    <xsl:param name="status"/>
    <xsl:param name="outputType"/>
    <xsl:param name="explanation"/>

    <!-- <p /><xsl:value-of select="$outputType"/><p />
    <p /><xsl:value-of select="$status"/><p />
    <p /><xsl:value-of select="$explanation"/><p /> -->
    <xsl:if test="$outputType='html'">
        <xsl:if test="$status='red'">
            <a  href="javascript:void(0);"
                onmouseout="nd();">
                <xsl:attribute name="onmouseover">return overlib('<xsl:value-of select="$explanation"/>',CAPTION,'RED Status',FGCOLOR,'#F4A8A8',BGCOLOR,'#FF0000',BORDER,4,CAPTIONFONT,'Times',TEXTFONT,'Courier',TEXTSIZE,3,CAPCOLOR,'#000000');</xsl:attribute>

                <!-- <font color="#ff0000"><tt>RED</tt></font> -->
                <img src="../../docs/html/images/noway.gif" alt="RED"/>
            </a>
        </xsl:if>
        <xsl:if test="$status='yellow'">
            <a  href="javascript:void(0);"
                onmouseout="nd();">
                <xsl:attribute name="onmouseover">return overlib('<xsl:value-of select="$explanation"/>',CAPTION,'Yellow Status',FGCOLOR,'#F4F4A8',BGCOLOR,'#ffff33',BORDER,4,CAPTIONFONT,'Sans Serif',TEXTFONT,'Courier',TEXTSIZE,3,CAPCOLOR,'#000000');</xsl:attribute>
                <!-- <font color="#ffff33"><tt>YELLOW</tt></font> -->
                <img src="../../docs/html/images/caution.gif" alt="YELLOW"/>
            </a>
        </xsl:if>
        <xsl:if test="$status='green'">
            <!-- <font color="#33cc00"><tt>GREEN</tt></font> -->
            <img src="../../docs/html/images/ok.gif" alt="GREEN"/>
        </xsl:if>
    </xsl:if>
    <xsl:if test="$outputType='xml'">

    </xsl:if>
</xsl:template>


<xsl:template name="getCustomizationStatus">
    <xsl:param name="className"/>
    <xsl:param name="classModule"/>
    <xsl:param name="classIsNew"/>
    <xsl:param name="outputType"/>

    <xsl:if test="contains($classModule,'dcm') and not($classIsNew)">
        <xsl:call-template name="writeStatus">
            <xsl:with-param name="status">red</xsl:with-param>
            <xsl:with-param name="explanation">A customization of a platform class</xsl:with-param>
            <xsl:with-param name="outputType" select="$outputType"/>
        </xsl:call-template>
    </xsl:if>

    <xsl:if test="contains($classModule,'dcm') and $classIsNew">
        <xsl:call-template name="writeStatus">
            <xsl:with-param name="status">yellow</xsl:with-param>
            <xsl:with-param name="explanation">A creation of a new platform class</xsl:with-param>
            <xsl:with-param name="outputType" select="$outputType"/>
        </xsl:call-template>
    </xsl:if>
    <xsl:if test="not(contains($classModule,'dcm'))  and not(contains($classModule,'.ref')) and not($classIsNew)">
        <xsl:call-template name="writeStatus">
            <xsl:with-param name="status">yellow</xsl:with-param>
            <xsl:with-param name="explanation">N/A</xsl:with-param>
            <xsl:with-param name="outputType" select="$outputType"/>
        </xsl:call-template>
    </xsl:if>
<!--     <xsl:if test="not(not(contains($classModule,'dcm'))  and not(contains($classModule,'.ref')) and not($classIsNew))">
        <font color="#33cc00"><tt>GREEN</tt></font>
    </xsl:if>
 -->    <xsl:if test="not(contains($classModule,'dcm'))  and $classIsNew">
        <xsl:call-template name="writeStatus">
            <xsl:with-param name="status">green</xsl:with-param>
            <xsl:with-param name="outputType" select="$outputType"/>
        </xsl:call-template>
    </xsl:if>


</xsl:template>


<xsl:template name="getSubclassStatus">
    <xsl:param name="className"/>
    <xsl:param name="classModule"/>
    <xsl:param name="classIsNew"/>
    <xsl:param name="baseClassName"/>
    <xsl:param name="baseClassModule"/>
    <xsl:param name="baseClassIsNew"/>
    <xsl:param name="outputType"/>

    <xsl:if test="contains($baseClassModule,'.impl') and not(contains($baseClassModule,'dcm'))">
        <xsl:call-template name="writeStatus">
            <xsl:with-param name="status">yellow</xsl:with-param>
            <xsl:with-param name="explanation">N/A</xsl:with-param>
            <xsl:with-param name="outputType" select="$outputType"/>
        </xsl:call-template>
    </xsl:if>
    <xsl:if test="contains($baseClassModule,'.impl') and contains($baseClassModule,'dcm')">
        <xsl:call-template name="writeStatus">
            <xsl:with-param name="status">red</xsl:with-param>
            <xsl:with-param name="explanation">N/A</xsl:with-param>
            <xsl:with-param name="outputType" select="$outputType"/>
        </xsl:call-template>
    </xsl:if>
    <xsl:if test="contains($baseClassModule,'.ref')">
        <xsl:call-template name="writeStatus">
            <xsl:with-param name="status">green</xsl:with-param>
            <xsl:with-param name="outputType" select="$outputType"/>
        </xsl:call-template>
    </xsl:if>
    <xsl:if test="contains($classModule,'.api') and contains($baseClassModule,'.api')">
        <xsl:call-template name="writeStatus">
            <xsl:with-param name="status">green</xsl:with-param>
            <xsl:with-param name="outputType" select="$outputType"/>
        </xsl:call-template>
    </xsl:if>
    <xsl:if test="contains($classModule,'.api') and not(contains($baseClassModule,'.api'))">
        <xsl:call-template name="writeStatus">
            <xsl:with-param name="status">red</xsl:with-param>
            <xsl:with-param name="explanation">N/A</xsl:with-param>
            <xsl:with-param name="outputType" select="$outputType"/>
        </xsl:call-template>
    </xsl:if>
</xsl:template>

<xsl:template name="getReferenceStatus">
    <xsl:param name="className"/>
    <xsl:param name="classModule" />
    <xsl:param name="classIsNew"/>
    <xsl:param name="refClassName" />
    <xsl:param name="refClassModule"/>
    <xsl:param name="refClassIsNew"/>
    <xsl:param name="outputType"/>

    <xsl:if test="contains($classModule,'.impl') and contains($refClassModule,'.impl') and ($refClassModule!=$className)">
        <xsl:call-template name="writeStatus">
            <xsl:with-param name="status">red</xsl:with-param>
            <xsl:with-param name="explanation">N/A</xsl:with-param>
            <xsl:with-param name="outputType" select="$outputType"/>
        </xsl:call-template>
    </xsl:if>
    <xsl:if test="contains($refClassModule,'.ref')">
        <xsl:call-template name="writeStatus">
            <xsl:with-param name="status">yellow</xsl:with-param>
            <xsl:with-param name="explanation">N/A</xsl:with-param>
            <xsl:with-param name="outputType" select="$outputType"/>
        </xsl:call-template>
    </xsl:if>
    <xsl:if test="contains($refClassModule,'.api')">
        <xsl:call-template name="writeStatus">
            <xsl:with-param name="status">green</xsl:with-param>
            <xsl:with-param name="outputType" select="$outputType"/>
        </xsl:call-template>
    </xsl:if>
</xsl:template>

</xsl:stylesheet>
