<?xml version="1.0" ?>
<!--
  Licensed Materials - Property of IBM 

  IBM Sterling Selling and Fullfillment Suite 9.1 

  (c) Copyright IBM Corp 2001, 2010 All Rights Reserved

  US Government Users Restricted Rights - Use, duplication or disclosure
  restricted by GSA ADP Schedule Contract with IBM Corp.
-->
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
    version="1.0">

   <xsl:output      method="html"
                    doctype-public="-//W3C//DTD XHTML 1.0 Transitional//EN"
                    doctype-system="http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd"
                    indent="yes"
                    omit-xml-declaration="yes"/>
    <xsl:include href="./util/customizationstatusdisplay.xsl"/>
    <xsl:param name="project.name"/>
    <xsl:param name="debs.version"/>
    <xsl:preserve-space elements="*"/>


    <xsl:template match="/">

<html>
    <head>
        <title><xsl:value-of select="$project.name"/>Class customizations report</title>
        <style type="text/css">
            @import "../../../html/animtree/menu4.css";
        </style>
        <script src="../../../docs/html/animtree/src/Optimized/utils.js" type="text/javascript"></script>
        <script src="../../../docs/html/animtree/src/Optimized/AnimTree.js" type="text/javascript"></script>
        <script src="../../../docs/html/animtree/treeparams.js" type="text/javascript"></script>
    </head>
    <body test="#000000" bgcolor="#FFFFFF" LINK="#0000FF" vlink="#0000FF" alink="#000066">
        <div id="overDiv" style="position:absolute; visibility:hidden; z-index:1000;"/>
        <script language='JavaScript' src='../../../docs/html/overlib.js'></script>
        <table border="0" width="100%">
            <tr>
                <td width="40">
                    <img src="../../../docs/images/logo.gif" ALT="Comergent Technologies" border="0" width="158" height="79"/>
                </td>
                 <td align="center" width="100%"> <font size="+2"><b><xsl:value-of select="//projectname"/> Class Customizations Report</b></font>
                </td>
                <td align="right" valign="top">
                    <img src="../../../docs/images/spacer.gif" width="158" height="1"/>
                </td>
                <td align="center" with="100%">
                        <font size="-1">&#160;</font>
                </td>
            </tr>
        </table>
  <!-- ============================================================= -->
            <table border="0" width="75%" cellspacing="0" cellpadding="0">
                <tr>
                    <td colspan="3">
                        <font size="+1"><b>Summary</b></font>
                    </td>
                </tr>
                <tr height="2" bgcolor="#000000">
                    <td align="center" with="100%" colspan="2">
                        <font size="-1">&#160;</font>
                    </td>
                    <td align="right" valign="top">
                        <img src="../../../docs/images/spacer.gif" width="158" height="1"/>
                    </td>
                </tr>
                <tr>
                    <td colspan="3"> &#160;
                        <!-- Blank link -->
                    </td>
                </tr>
                <tr>
                    <td colspan="3">
                        <b>Project Name : </b><xsl:value-of select="$project.name"/>
                    </td>
                </tr>
                <tr>
                    <td colspan="3">
                        <b>Base Release : </b><xsl:value-of select="$debs.version"/>
                    </td>
                </tr>
                <tr>
                    <td colspan="3"> &#160;
                        <!-- Blank link -->
                    </td>
                </tr>

                <xsl:variable name="numOfRedClasses" select="count(//modifiedClass[@customizationStatus='red'])"/>
                <xsl:variable name="numOfYellowClasses" select="count(//modifiedClass[@customizationStatus='yellow'])"/>
                <xsl:variable name="numOfGreenClasses" select="count(//modifiedClass[@customizationStatus='green'])"/>
                <table width="100%">
                    <tr>
                        <td colspan="3" bgcolor="#d4e2ed">
                            <b>Classes Customization Status</b>
                        </td>
                    </tr>
                    <tr>
                        <td colspan="2">
                            <b>Number of Bad Customizations</b>
                        </td>
                        <td colspan="1" align="right">
                            <xsl:value-of select="$numOfRedClasses"/>
                        </td>
                    </tr>
                    <tr>
                        <td colspan="2">
                            <b>Number of Problamatic Customizations</b>
                        </td>
                        <td colspan="1" align="right">
                            <xsl:value-of select="$numOfYellowClasses"/>
                        </td>
                    </tr>
                    <tr>
                        <td colspan="2">
                            <b>Number of Good Customizations</b>
                        </td>
                        <td colspan="1" align="right">
                            <xsl:value-of select="$numOfGreenClasses"/>
                        </td>
                    </tr>
                    <tr  bgcolor="#EEEEFF">
                        <td colspan="2">
                            <b>Total Number of  Customizations</b>
                        </td>
                        <td colspan="1" align="right">
                            <xsl:value-of select="$numOfRedClasses+$numOfYellowClasses+$numOfGreenClasses"/>
                        </td>
                    </tr>
                </table>
                 <p>&#160;</p>
                <xsl:variable name="numOfRedSubclasses" select="count(//extends[@customizationStatus='red'])"/>
                <xsl:variable name="numOfYellowSubclasses" select="count(//extends[@customizationStatus='yellow'])"/>
                <xsl:variable name="numOfGreenSubclasses" select="count(//extends[@customizationStatus='green'])"/>
                <table width="100%">
                    <tr>
                        <td colspan="3" bgcolor="#d4e2ed">
                            <b>Subclassing Summary</b>
                        </td>
                    </tr>
                    <tr>
                        <td colspan="2">
                            <b>Number of Bad subclassing</b>
                        </td>
                        <td colspan="1" align="right">
                            <xsl:value-of select="$numOfRedSubclasses"/>
                        </td>
                    </tr>
                    <tr>
                        <td colspan="2">
                            <b>Number of Problamatic subclassing</b>
                        </td>
                        <td colspan="1" align="right">
                            <xsl:value-of select="$numOfYellowSubclasses"/>
                        </td>
                    </tr>
                    <tr>
                        <td colspan="2">
                            <b>Number of Good Subclassing</b>
                        </td>
                        <td colspan="1" align="right">
                            <xsl:value-of select="$numOfGreenSubclasses"/>
                        </td>
                    </tr>
                    <tr bgcolor="#EEEEFF">
                        <td colspan="2" >
                            <b>Total Number of Subclassing</b>
                        </td>
                        <td colspan="1" align="right" >
                            <xsl:value-of select="$numOfRedSubclasses+$numOfYellowSubclasses+$numOfGreenSubclasses"/>
                        </td>
                    </tr>
                </table>
                <p>&#160;</p>
                <xsl:variable name="numOfRedImpls" select="count(//implements[@customizationStatus='red'])"/>
                <xsl:variable name="numOfYellowImpls" select="count(//implements[@customizationStatus='yellow'])"/>
                <xsl:variable name="numOfGreenImpls" select="count(//implements[@customizationStatus='green'])"/>
                <table width="100%">
                    <tr>
                        <td colspan="3" bgcolor="#d4e2ed">
                            <b>Interface Implementation Summary</b>
                        </td>
                    </tr>
                    <tr>
                        <td colspan="2">
                            <b>Number of Bad Interface Implementations</b>
                        </td>
                        <td colspan="1" align="right">
                            <xsl:value-of select="$numOfRedImpls"/>
                        </td>
                    </tr>
                    <tr>
                        <td colspan="2">
                            <b>Number of Problamatic Interface Implementations</b>
                        </td>
                        <td colspan="1" align="right">
                            <xsl:value-of select="$numOfYellowImpls"/>
                        </td>
                    </tr>
                    <tr>
                        <td colspan="2">
                            <b>Number of Good Interface Implementations</b>
                        </td>
                        <td colspan="1" align="right">
                            <xsl:value-of select="$numOfGreenImpls"/>
                        </td>
                    </tr>
                    <tr bgcolor="#EEEEFF">
                        <td colspan="2" >
                            <b>Total Number of Interface Implementations</b>
                        </td>
                        <td colspan="1" align="right">
                            <xsl:value-of select="$numOfRedImpls+$numOfYellowImpls+$numOfGreenImpls"/>
                        </td>
                    </tr>
                </table>
                <p>&#160;</p>
                <xsl:variable name="numOfRedReferences" select="count(//hasReferenceOf[@customizationStatus='red'])"/>
                <xsl:variable name="numOfYellowReferences" select="count(//hasReferenceOf[@customizationStatus='yellow'])"/>
                <xsl:variable name="numOfGreenReferences" select="count(//hasReferenceOf[@customizationStatus='green'])"/>
                <table width="100%">
                    <tr>
                        <td colspan="3" bgcolor="#d4e2ed">
                            <b>Reference Summary</b>
                        </td>
                    </tr>
                    <tr>
                        <td colspan="2">
                            <b>Number of Bad References</b>
                        </td>
                        <td colspan="1" align="right">
                            <xsl:value-of select="$numOfRedReferences"/>
                        </td>
                    </tr>
                    <tr>
                        <td colspan="2">
                            <b>Number of Problamatic References</b>
                        </td>
                        <td colspan="1" align="right">
                            <xsl:value-of select="$numOfYellowReferences"/>
                        </td>
                    </tr>
                    <tr>
                        <td colspan="2">
                            <b>Number of Good References</b>
                        </td>
                        <td colspan="1" align="right">
                            <xsl:value-of select="$numOfGreenReferences"/>
                        </td>
                    </tr>
                    <tr bgcolor="#EEEEFF">
                        <td colspan="2" >
                            <b>Total Number of References</b>
                        </td>
                        <td colspan="1" align="right">
                            <xsl:value-of select="$numOfRedReferences+$numOfYellowReferences+$numOfGreenReferences"/>
                        </td>
                    </tr>
                </table>
            </table>
            <p>&#160;</p>

          <xsl:if test="count(child::*)>0">
            <table border="0" width="100%" cellspacing="0" cellpadding="0">
                <tr>
                    <td colspan="3">
                        <font size="+1"><b>Detailed Classes List</b></font>
                    </td>
                </tr>
                <tr height="2" bgcolor="#000000">
                    <td align="center" with="100%">
                        <font size="-1">&#160;</font>
                    </td>
                    <td align="right" valign="top">
                        <img src="../../../docs/images/spacer.gif" width="158" height="1"/>
                    </td>
                </tr>
                <tr>
                    <td colspan="3"> &#160;
                        <!-- Blank link -->
                    </td>
                </tr>
            </table>
            <xsl:for-each select="//modifiedClass">
                <xsl:sort select="@moduleName" order="ascending"/>
                <div class="button">
                    <xsl:attribute name="id"><xsl:value-of select="translate(@className,'.','_')"/></xsl:attribute>
                    <span class="buttonlabel" onclick='toggleMenu(this)'>
                            <table border="0" width="100%">
                               <tr bgcolor="#EEEEFF">
                                    <td colspan="3">
                                        <img src='../../../docs/html/animtree/img/closed-menu.gif' title='click to toggle menu'/>
                                        <b><xsl:value-of select="@className"/></b><br />
                                    </td>
                                    <td align="right">
                                        <xsl:call-template name="writeCustomizationStatus">
                                            <xsl:with-param name="title" select="@className"/>
                                            <xsl:with-param name="status" select="@customizationStatus"/>
                                            <xsl:with-param name="explanation" select="@customzationExplanation"/>
                                            <xsl:with-param name="outputType">html</xsl:with-param>
                                        </xsl:call-template>
                                        <br />
                                    </td>
                                </tr>
                            </table>
                      </span>
                 </div>
                 <div class="menu" >
                    <xsl:attribute name="id"><xsl:value-of select="translate(@className,'.','_')"/>Menu</xsl:attribute>
                    <xsl:if test="count(child::extends)>0" >

                    <div class="button menuItem">
                        <xsl:attribute name="id"><xsl:value-of select="translate(@className,'.','_')"/>x</xsl:attribute>

                        <span class="buttonlabel level1label" onclick='toggleMenu(this)' >
                            <img src='../../../docs/html/animtree/img/closed-menu.gif'
                            title='click to toggle menu'
                            longdesc='' />
                            <b>extends</b>
                        </span>
                    </div>
                     <div class="menu">
                     <xsl:attribute name="id"><xsl:value-of select="translate(@className,'.','_')"/>xMenu</xsl:attribute>
                        <div class="menuItem">
                           <!--  <a href="http://baroque-music.com/frames/info/hc.shtml#hc"
                                >baroque-music.com</a> -->
                                <table border="0" width="100%">
                                    <tr>
                                        <td >
                                            &#160;<xsl:value-of select="extends/@className"/><br />
                                        </td>
                                        <td align="right">
                                            <!-- <b><xsl:value-of select="extends/@moduleName"/></b> -->
                                            <xsl:call-template name="writeCustomizationStatus">
                                                <xsl:with-param name="title" select="extends/@className"/>
                                                <xsl:with-param name="status" select="extends/@customizationStatus"/>
                                                <xsl:with-param name="explanation" select="extends/@customzationExplanation"/>
                                                <xsl:with-param name="outputType">html</xsl:with-param>
                                            </xsl:call-template>
                                            <br />
                                        </td>
                                    </tr>
                                </table>
                        </div>
                    </div>
                    </xsl:if>

                 <xsl:if test="count(child::implements)>0" >

                    <div class="button menuItem">
                        <xsl:attribute name="id"><xsl:value-of select="translate(@className,'.','_')"/>i</xsl:attribute>
                        <span class="buttonlabel level1label" onclick='toggleMenu(this)' >
                            <img src='../../../docs/html/animtree/img/closed-menu.gif'
                            title='click to toggle menu'
                            longdesc='' />
                            <b>extends</b>
                        </span>
                    </div>
                     <div class="menu" >
                        <xsl:attribute name="id"><xsl:value-of select="translate(@className,'.','_')"/>iMenu</xsl:attribute>
                        <xsl:for-each select="implements">
                         <div class="menuItem">
                            <table border="0" width="100%">
                                 <tr>
                                    <td >
                                        &#160;<xsl:value-of select="@className"/><br />
                                    </td>
                                    <td align="right">
                                        <xsl:call-template name="writeCustomizationStatus">
                                            <xsl:with-param name="title" select="@className"/>
                                            <xsl:with-param name="status" select="@customizationStatus"/>
                                            <xsl:with-param name="explanation" select="@customzationExplanation"/>
                                            <xsl:with-param name="outputType">html</xsl:with-param>
                                        </xsl:call-template>
                                        <br />
                                    </td>
                                </tr>
                            </table>
                        </div>
                    </xsl:for-each>
                    </div>
                    </xsl:if>
                      <xsl:if test="count(child::hasReferenceOf)>0" >
                        <div class="button menuItem">
                            <xsl:attribute name="id"><xsl:value-of select="translate(@className,'.','_')"/>r</xsl:attribute>
                            <span class="buttonlabel level1label" onclick='toggleMenu(this)' >
                                <img src='../../../docs/html/animtree/img/closed-menu.gif'
                                title='click to toggle menu'
                                longdesc='' />
                                <b>references</b>
                            </span>
                        </div>
                         <div class="menu" >
                            <xsl:attribute name="id"><xsl:value-of select="translate(@className,'.','_')"/>rMenu</xsl:attribute>
                             <xsl:for-each select="hasReferenceOf">
                                <xsl:sort select="@moduleName" order="ascending"/>
                             <div class="menuItem">
                                <table border="0" width="100%">
                                     <tr>
                                        <td >
                                            &#160;<xsl:value-of select="@className"/><br />
                                        </td>
                                        <td align="right">
                                            <xsl:call-template name="writeCustomizationStatus">
                                                <xsl:with-param name="title" select="@className"/>
                                                <xsl:with-param name="status" select="@customizationStatus"/>
                                                <xsl:with-param name="explanation" select="@customzationExplanation"/>
                                                <xsl:with-param name="outputType">html</xsl:with-param>
                                            </xsl:call-template>
                                            <br />
                                        </td>
                                    </tr>
                                </table>
                            </div>
                        </xsl:for-each>
                        </div>
                        </xsl:if>
                    </div>

                </xsl:for-each>
            <p>&#160;</p>
     </xsl:if>

       <p>&#160;</p>
<!-- ============================================================== -->
        <hr size="2" noshade="true"/>
        <table width="100%" border="0">
            <tr>
                <td>
                    <font size="-1">
                        Send comments to: <a href="mailto:ordercaptureapps_support@stercomm.com">ordercaptureapps_support@stercomm.com</a>
                    </font>
                </td>
                <td>
                    <div align="right">
                        <font size="-1">&#169; IBM Corp. 2012</font>
                    </div>
                </td>
            </tr>
        </table>
        <br />
    </body>
</html>

</xsl:template>

</xsl:stylesheet>
