<?xml version="1.0" ?>
<!--
  Licensed Materials - Property of IBM 

  IBM Sterling Selling and Fullfillment Suite 9.1 

  (c) Copyright IBM Corp 2001, 2010 All Rights Reserved

  US Government Users Restricted Rights - Use, duplication or disclosure
  restricted by GSA ADP Schedule Contract with IBM Corp.
-->
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
    version="1.0">

   <xsl:output      method="html"
                    doctype-public="-//W3C//DTD XHTML 1.0 Transitional//EN"
                    doctype-system="http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd"
                    indent="yes"
                    omit-xml-declaration="yes"/>
    <xsl:param name="sdk.version"/>
    <xsl:param name="sdk.family"/>
    <xsl:param name="sdk.build.number"/>
    <xsl:param name="sdk.release.title"/>
    <xsl:preserve-space elements="*"/>


    <xsl:template match="/">

<html>
    <head>
        <title>Sterling Commerce SDK</title>
    </head>
    <body test="#000000" bgcolor="#FFFFFF" LINK="#0000FF" vlink="#0000FF" alink="#000066">
        <table border="0" width="100%">
            <tr>
                <td width="40">
                    <img src="images/logo.gif" ALT="Java" border="0" width="158" height="79"/>
                </td>
                <td align="center" width="100%"> <font size="+2"><b>Sterling Commerce SDK <xsl:value-of select="$sdk.version"/></b></font>
                    <p />
                    <font size="-1"><b>SDK Framework version : <xsl:value-of select="$sdk.version"/>(<xsl:value-of select="$sdk.release.title"/>)-build<xsl:value-of select="$sdk.build.number"/></b></font><br />
                    <p />
                </td>
                <td align="right" valign="top">
                    <img src="images/spacer.gif" width="158" height="1"/>
                </td>
            </tr>
        </table>
        <p />
        <table border="0" cellpadding="2" cellspacing="0" width="100%">
            <tr bgcolor="#EEEEFF">
                <td  align="left" valign="top">
                    <img src="images/spacer.gif" width="158" height="1"/>
                </td>
                <td bgcolor="#EEEEFF" align="center" width="100%">
                    <font size="-1">&#160;</font>
                </td>               
            </tr>
        </table>
            
  <!-- ============================================================= -->
					<table cellspacing="15">
						<tr>
						
  				<!-- =========================SDK Docs Index==================================== -->

		  				<td width="50%" cellvalign="top" valign="top">
  							<table border="0" width="100%" cellspacing="0" cellpadding="0">
                				<tr>
			                    	<td colspan="3">
                        				<font size="+1"><b>Sterling Commerce Development Environment</b></font>
	        			            </td>
			    	            </tr>
        				        <tr height="2" bgcolor="#000000">
            	        			<td align="center" with="100%">
			                	        <font size="-1">&#160;</font>
            			        	</td>
	                    			<td align="right" valign="top">
			    	                    <img src="images/spacer.gif" width="158" height="1"/>
        				            </td>
			            	    </tr>
            			    	<tr>
                    				<td colspan="3"> &#160;
			                        	<!-- Blank link -->
	        			            </td>
			    	            </tr>
        				        <tr>
            	        			<td colspan="3">
			                	        <b><a href="SDK.html">Getting Started</a></b>
            			        	</td>
				                </tr>
    	    			        <tr>
			        	            <td width="20" colspan="1">&#160;</td>
            				        <td colspan="2">
                	    			    <p>
		                    	    	    <font size="-1">An overview of the SDK and the Sterling Commerce development environment<br />
        	        	        	    	    <br />
	            		                    </font>
	                    			    </p>
    	        			        </td>
    			    	        </tr>
<!--    			    	        
			                	<tr>
            				        <td colspan="3">
                    				    <b>2. <a href="guides/Developer.pdf">Developers Guide</a></b>
				                        	<font size="-1"> (PDF document)</font>
	            				    </td>
			    	            </tr>
        				        <tr>
            	        			<td width="20">&#160;</td>
			                	    <td>
            			        	    <font size="-1">A comprehensive guide to developing Sterling Commerce System customizations<br /><br /></font>
	                    			</td>
			    	            </tr>
-->			    	            
<!--			    	            
        				        <tr>
            	        			<td colspan="3">
			                	        <b>3. <a href="tutorial/index.html">Software Developement Kit Tutorial</a></b>
            			        	</td>
				                </tr>
    	    			        <tr>
			        	            <td width="20">&#160;</td>
            				        <td>
                	    			    <font size="-1">Step by Step tutorial companion to the <i>Developer Guide</i><br /><br /></font>
			                    	</td>
	        			        </tr>
-->	        			        
<!--
        				            <td colspan="3">
			            	            <b>4. <a href="methodology/rdm-index.html">Rapid Deployment Methodology</a></b>
            			    	    </td>
				                </tr>
    	    			        <tr>
        	            			<td width="20">&#160;</td>
			            	        <td>
			                	        <font size="-1">All of the templates needed for a Sterling Commerce implementation organized by project thread and phase<br /><br /></font>
            			        	</td>
				                </tr>
-->			    	            
    	    			    </table>
			        	    <p>&#160;</p>

  <!-- ============================================================= -->
  
	            			<table border="0" width="100%" cellspacing="0" cellpadding="0">
			    	            <tr>
        				            <td colspan="3">
			            	            <font size="+1"><b>Sterling Commerce System Developer Reference</b></font>
            			    	    </td>
				                </tr>
    	    			        <tr height="2" bgcolor="#000000">
        	            			<td align="center" with="100%">
			            	            <font size="-1">&#160;</font>
            			    	    </td>
			                    	<td align="right" valign="top">
            			            	<img src="images/spacer.gif" width="158" height="1"/>
	                    			</td>
			    	            </tr>
        				        <tr>
            	        			<td colspan="3"> &#160;
			                	        <!-- Blank link -->
            			        	</td>
				                </tr>
<!--    	    			        <tr>
        	            			<td colspan="3">
			            	            <b>1. Data Migration</b>
            			    	    </td>
				                </tr>
    	    			        <tr>
        	            			<td width="20">&#160;</td>
			            	        <td colspan="2">
            			    	        <font size="-1"><a href="./migration/migration.pdf">Sterling Commerce System Data Migration Guide</a></font>
			                    	</td>
	        			        </tr>
			    	            <tr>
        				            <td width="20">&#160;</td>
            	        			<td colspan="2">
			                	        <font size="-1">
            			        	        <a href="./ERD">
                        				        Sterling Commerce System Entity Relationship Diagrams
				                            </a>
    	    		    	            </font>
        	        	    		    <br />
			            	            &#160;&#160;&#160;&#160;Erwin Entity Relationship Diagrams for the underlying Sterling Commerce System schema
            			    	        <br />
                    				</td>
				                </tr>	
-->				                
    	    			        
						    </table>						    
						</td>
						
						
							<td width="25%" valign="top">	  			
							  <!-- =========================Projects Index==================================== -->

					            <table border="0" width="100%" cellspacing="0" cellpadding="0">
					                <tr>
                    					<td>
				        	                <font size="+1"><b>My Projects</b></font>
				    	                </td>
					                </tr>
					                <tr height="2" bgcolor="#000000">
                    					<td align="center" with="100%">
					                        <font size="-1">&#160;</font>
                    					</td>
					                </tr>
							      <xsl:if test="count(//sdk-project)=0">					                
					                <tr>
                    					<td> &#160;
					                        <!-- Blank link -->
                    					</td>
					                </tr>
							      
							      	<tr>
                    					<td>
                    					<b>None Created</b>
                    					</td>
					                </tr>					                
							      </xsl:if>					                
							      <xsl:if test="count(//sdk-project)>0">					                
						            <xsl:for-each select="//sdk-project">
							            <tr>
							                <td>
							                &#160;
							                </td>
							            </tr>

							            <tr>
							                <td>
							                    <b><xsl:value-of select="position()"/>. 
							                    	<xsl:element name="a">
							                    		<xsl:attribute name="href">
										                     <xsl:text>project_docs/</xsl:text><xsl:value-of select="@name"/><xsl:text>/index.html</xsl:text>
										                 </xsl:attribute>
										                 <xsl:value-of select="@name"/>
									                </xsl:element>
									                </b>
							                </td>
							            </tr>
							     	</xsl:for-each>
		     			     		</xsl:if> 			
				            	</table>
  						</td>

							<td width="25%" valign="top">	  			
							  <!-- =========================Releases Index==================================== -->
					            <table border="0" width="100%" cellspacing="0" cellpadding="0">
					                <tr>
                    					<td>
				        	                <font size="+1"><b>Sterling Commerce System Releases</b></font>
				    	                </td>
					                </tr>
					                <tr height="2" bgcolor="#000000">
                    					<td align="center" with="100%">
					                        <font size="-1">&#160;</font>
                    					</td>					                    
					                </tr>
					                <xsl:choose>
					                	<xsl:when test="(count(//comergent-product/archive-type[.='release']) + count( //comergent-product/archive-type[.='release-image']) + count( //comergent-product/archive-type[.='release-image2']))=0">
									<tr>
									<td> &#160;
										<!-- Blank link -->
									</td>
									</tr>							      
										<tr>
									<td>
									<b>None Installed</b>
									</td>
									</tr>					                					                	
					                	</xsl:when>
					                	<xsl:otherwise>
								    <xsl:for-each select="(//comergent-product[./archive-type/text()='release']) | (//comergent-product[./archive-type/text()='release-image']) | (//comergent-product[./archive-type/text()='release-image2'])">
									   <tr>
										<td>
										&#160;
										</td>
									    </tr>

									    <tr>
										<td>
										    <b><xsl:value-of select="position()"/>. 
											<xsl:element name="a">
												<xsl:attribute name="href">
													     <xsl:value-of select="version"/><xsl:text>/index.html</xsl:text>
													 </xsl:attribute>
													 Release : <xsl:value-of select="version"/>
												</xsl:element>
												</b>
										</td>
									    </tr>
									</xsl:for-each>
					                	
					                	</xsl:otherwise>					           
					                </xsl:choose>
				            	</table>
				            	<p>&#160;</p>
	
							  <!-- =========================Tools Index==================================== -->
					            <table border="0" width="100%" cellspacing="0" cellpadding="0">
					                <tr>
                    					<td>
				        	                <font size="+1"><b>Sterling Commerce Tools</b></font>
				    	                </td>
					                </tr>
					                <tr height="2" bgcolor="#000000">
                    					<td align="center" with="100%">
					                        <font size="-1">&#160;</font>
                    					</td>
					                </tr>
							      <xsl:if test="count(//comergent-product/archive-type[.='tool'])=0">					                
					                <tr>
                    					<td> &#160;
					                        <!-- Blank link -->
                    					</td>
					                </tr>							      
							      	<tr>
                    					<td>
                    					<b>None Installed</b>
                    					</td>
					                </tr>					                
							      </xsl:if>					                
					                
							      <xsl:if test="count(//comergent-product/archive-type[.='tool'])>0">					                
						            <xsl:for-each select="//comergent-product[./archive-type='tool']">
							            <tr>
							                <td>
							                &#160;
							                </td>
							            </tr>

							            <tr>
							                <td>
							                    <b><xsl:value-of select="position()"/>. 
							                    	<xsl:element name="a">
							                    		<xsl:attribute name="href">
										                     <xsl:text>../tools/</xsl:text><xsl:value-of select="name"/><xsl:text>/docs/index.html</xsl:text>
										                 </xsl:attribute>
										                 <xsl:value-of select="name"/>
									                </xsl:element>
									                </b>
									                <br />
									                <xsl:value-of select="description"/>
							                </td>
							            </tr>
							     	</xsl:for-each>
	     				     		</xsl:if> 			
				            	</table>
				            	<p>&#160;</p>

						<!-- ========================= Unsupported tools index==================================== -->

					            <table border="0" width="100%" cellspacing="0" cellpadding="0">
					                <tr>
                    					<td>
				        	                <font size="+1"><b>Unsupported Tools</b></font>
				    	                </td>
					                </tr>
					                <tr height="2" bgcolor="#000000">
                    					<td align="center" with="100%">
					                        <font size="-1">&#160;</font>
                    					</td>
					                </tr>
							      <xsl:if test="count(//comergent-product/archive-type[.='tool-unsupported'])=0">					                
					                <tr>
                    					<td> &#160;
					                        <!-- Blank link -->
                    					</td>
					                </tr>							      
							      	<tr>
                    					<td>
                    					<b>None Installed</b>
                    					</td>
					                </tr>					                
							      </xsl:if>					                
					                
							      <xsl:if test="count(//comergent-product/archive-type[.='tool-unsupported'])>0">					                
						            <xsl:for-each select="//comergent-product[./archive-type='tool-unsupported']">
							           <tr>
							                <td>
							                &#160;
							                </td>
							            </tr>
						            
							            <tr>
							                <td>
							                    <b><xsl:value-of select="position()"/>. 
							                    	<xsl:element name="a">
							                    		<xsl:attribute name="href">
										                     <xsl:text>../tools/unsupported/</xsl:text><xsl:value-of select="name"/><xsl:text>/docs/index.html</xsl:text>
										                 </xsl:attribute>
										                 <xsl:value-of select="name"/>
									                </xsl:element>
									                </b>
									                <br />
									                <xsl:value-of select="description"/>
							                </td>
							            </tr>
							     	</xsl:for-each>
					     		</xsl:if> 										     	
				            	</table>			            	
  						</td>

		    	     </tr>
    			 </table>    
		<p>&#160;</p>	
<!-- ============================================================== -->
        <hr size="2" noshade="true"/>
        <table width="100%" border="0">
            <tr>
                <td>
                    <font size="-1">
                        Send comments to: <a href="mailto:ordercaptureapps_support@stercomm.com">ordercaptureapps_support@stercomm.com</a>
                    </font>
                </td>
                <td>
                    <div align="right">
                        <font size="-1">&#169; IBM Corp. 2012</font>
                    </div>
                </td>
            </tr>
        </table>
        <br />
    </body>
</html>

</xsl:template>


</xsl:stylesheet>
