<?xml version="1.0" ?>
<!--
  Licensed Materials - Property of IBM 

  IBM Sterling Selling and Fullfillment Suite 9.1 

  (c) Copyright IBM Corp 2001, 2010 All Rights Reserved

  US Government Users Restricted Rights - Use, duplication or disclosure
  restricted by GSA ADP Schedule Contract with IBM Corp.
-->
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
    version="1.0">

   <xsl:output      method="html"
                    doctype-public="-//W3C//DTD XHTML 1.0 Transitional//EN"
                    doctype-system="http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd"
                    indent="yes"
                    omit-xml-declaration="yes"/>
    <xsl:param name="sdk.version"/>
    <xsl:param name="sdk.family"/>
    <xsl:param name="sdk.build.number"/>
    <xsl:param name="sdk.release.title"/>

    <xsl:param name="project.release.version"/>
    <xsl:param name="project.name"/>    
    <xsl:param name="project.indexdocs.root"/>
    <xsl:param name="project.upgrade.root"/>
    <xsl:param name="project.jspanalysis.root"/>
    <xsl:preserve-space elements="*"/>


    <xsl:template match="/">

<html>
    <head>
        <title>Sterling Commerce SDK Project</title>
    </head>
    <body test="#000000" bgcolor="#FFFFFF" LINK="#0000FF" vlink="#0000FF" alink="#000066">
        <table border="0" width="100%">
            <tr>
                <td width="40">
                    <a href="../../index.html"><img src="../../images/logo.gif" ALT="Java" border="0" width="292" height="79"/></a>
                </td>
                <td align="center" width="100%"> <font size="+2"><b>Sterling Commerce SDK <xsl:value-of select="$sdk.version"/></b></font>
                    <p />
                    <font size="-1"><b>SDK Framework version : <xsl:value-of select="$sdk.version"/>(<xsl:value-of select="$sdk.release.title"/>)-build<xsl:value-of select="$sdk.build.number"/></b></font><br />
                    <p />
                </td>
                <td align="right" valign="top">
                    <img src="../../images/spacer.gif" width="158" height="1"/>
                </td>
            </tr>
        </table>
        <p />
        <table border="0" cellpadding="2" cellspacing="0" width="100%">
            <tr bgcolor="#EEEEFF">
                <td  align="left" valign="top">
                    <img src="../../images/spacer.gif" width="158" height="1"/>
                </td>
                <td bgcolor="#EEEEFF" align="center" width="100%">
                    <font size="-1">&#160;</font>
                </td>
                <td align="right" valign="top">
                    <img src="../../images/spacer.gif" width="158" height="1"/>
                </td>
            </tr>
        </table>

            <p>&#160; </p>
  <!-- ============================================================= -->

            <table border="0" width="75%" cellspacing="0" cellpadding="0">
                <tr>
                    <td colspan="3">
                        <font size="+1"><b><xsl:value-of select="$project.name"/> project links</b></font>
                    </td>
                </tr>
                <tr height="2" bgcolor="#000000">
                    <td align="center" with="100%">
                        <font size="-1">&#160;</font>
                    </td>
                    <td align="right" valign="top">
                        <img src="../../images/spacer.gif" width="158" height="1"/>
                    </td>
                </tr>
                <tr>
                    <td colspan="3"> &#160;
                        <!-- Blank link -->
                    </td>
                </tr>          
            <tr>
                <td colspan="3">
                    <b>This project is based on Sterling Commerce System Release <xsl:value-of select="$project.release.version"/></b>
                </td>
            </tr>
            <tr>
                <td width="20" colspan="1">
                &#160;&#160;
                </td>
                <td colspan="2">
                    <table border="0" cellspacing="0" cellpadding="0">
               			<xsl:if test="not($project.indexdocs.root='')"> 
                        <tr>
                            <td colspan="2">
                                <b>* <a>
                                        <xsl:attribute name="href">
                                            <xsl:value-of select="$project.indexdocs.root"/><xsl:text/>/DEBSIndex.html<xsl:text/>
                                        </xsl:attribute>
                                        Project's Index Docs
                                      </a>
                                </b>
                            </td>
                        </tr>
                        <tr>
                            <td width="20">&#160;</td>
                            <td>
                                <font size="-1">A top down, interactive map of the project's components with links to the API Reference, a companion document to the JavaDoc<br /><br /></font>
                            </td>
                       </tr>
                       </xsl:if>
                       
                       <xsl:if test="not($project.upgrade.root='')"> 
                        <tr>
                            <td colspan="2">
                                <b>* <a>
                                        <xsl:attribute name="href">
                                            <xsl:value-of select="$project.upgrade.root"/>/<xsl:value-of select="$project.name"/>_status.html<xsl:text/>
                                        </xsl:attribute>
                                        Project's Upgrade Assesment Report
                                      </a>
                                </b>
                            </td>
                        </tr>
                        <tr>
                            <td width="20">&#160;</td>
                            <td>
                                <font size="-1">An summary report to help asses the upgradability of this project<br /><br /></font>
                            </td>
                       </tr>
                        <tr>
                            <td width="20">&#160;</td>
                            <td>
                                <font size="-1">For a full list of the project's file 
                                <a>
                                        <xsl:attribute name="href">
                                            <xsl:value-of select="$project.upgrade.root"/>/<xsl:value-of select="$project.name"/>_files_list.xml<xsl:text/>
                                        </xsl:attribute>
                                        click here
                                      </a>
                                <br /><br /></font>
                            </td>
                       </tr>
                       
                       
                       </xsl:if>                         
    
               			<xsl:if test="not($project.jspanalysis.root='')"> 
                        <tr>
                            <td colspan="2">
                                <b>* <a>
                                        <xsl:attribute name="href">
                                            <xsl:value-of select="$project.jspanalysis.root"/><xsl:text/>/jspreport.html<xsl:text/>
                                        </xsl:attribute>
                                        Project's JSP Localization Conformance Report
                                      </a>
                                </b>
                            </td>
                        </tr>
                        <tr>
                            <td width="20">&#160;</td>
                            <td>
                                <font size="-1">Detailed report for every problem in each JSP file in the project<br /><br /></font>
                            </td>
                       </tr>
                       </xsl:if>
                       
                    </table>
                </td>
            </tr>
            </table>
            <p>&#160;</p>
<!-- ============================================================== -->
        <hr size="2" noshade="true"/>
        <table width="100%" border="0">
            <tr>
                <td>
                    <font size="-1">
                        Send comments to: <a href="mailto:ordercaptureapps_support@stercomm.com">ordercaptureapps_support@stercomm.com</a>
                    </font>
                </td>
                <td>
                    <div align="right">
                        <font size="-1">&#169; IBM Corp. 2012</font>
                    </div>
                </td>
            </tr>
        </table>
        <br />
    </body>
</html>

</xsl:template>


</xsl:stylesheet>
