<?xml version="1.0" ?>
<!--
  Licensed Materials - Property of IBM 

  IBM Sterling Selling and Fullfillment Suite 9.1 

  (c) Copyright IBM Corp 2001, 2010 All Rights Reserved

  US Government Users Restricted Rights - Use, duplication or disclosure
  restricted by GSA ADP Schedule Contract with IBM Corp.
-->
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
    version="1.0">

   <xsl:output      method="html"
                    doctype-public="-//W3C//DTD XHTML 1.0 Transitional//EN"
                    doctype-system="http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd"
                    indent="yes"
                    omit-xml-declaration="yes"/>
    <xsl:param name="sdk.version"/>
    <xsl:param name="sdk.family"/>
    <xsl:param name="sdk.build.number"/>
    <xsl:param name="sdk.release.title"/>
    <xsl:param name="release.version"/>
    <xsl:param name="release.docs.installed"/>    
    <xsl:param name="release.erdocs.dir"/>
    <xsl:preserve-space elements="*"/>


    <xsl:template match="/">

<html>
    <head>
        <title>IBM Sterling Selling Solution SDK</title>
    </head>
    <body test="#000000" bgcolor="#FFFFFF" LINK="#0000FF" vlink="#0000FF" alink="#000066">
        <table border="0" width="100%">
            <tr>
                <td width="40">
                    <a href="../index.html"><img src="../images/logo.gif" ALT="Java" border="0" width="158" height="79"/></a>
                </td>

                <td align="center" width="100%"> <font size="+2"><b>IBM Sterling Selling Solution SDK <xsl:value-of select="$sdk.family"/></b></font>

                    <p />
                    <font size="-1"><b>SDK Framework version : <xsl:value-of select="$sdk.version"/>(<xsl:value-of select="$sdk.release.title"/>)-build<xsl:value-of select="$sdk.build.number"/></b></font><br />
                    <p />
                </td>
                <td align="right" valign="top">
                    <img src="../images/spacer.gif" width="158" height="1"/>
                </td>
            </tr>
        </table>
        <p />
        <table border="0" cellpadding="2" cellspacing="0" width="100%">
            <tr bgcolor="#EEEEFF">
                <td  align="left" valign="top">
                    <img src="../images/spacer.gif" width="158" height="1"/>
                </td>
                <td bgcolor="#EEEEFF" align="center" width="100%">
                    <font size="-1">&#160;</font>
                </td>
                <td align="right" valign="top">
                    <img src="../images/spacer.gif" width="158" height="1"/>
                </td>
            </tr>
        </table>
            <p>&#160; </p>
  <!-- ============================================================= -->

            <table border="0" width="75%" cellspacing="0" cellpadding="0">
                <tr>
                    <td colspan="3">
                        <font size="+1"><b>IBM Sterling Selling Solution Releases Reference</b></font>
                    </td>
                </tr>
                <tr height="2" bgcolor="#000000">
                    <td align="center" with="100%">
                        <font size="-1">&#160;</font>
                    </td>
                    <td align="right" valign="top">
                        <img src="../images/spacer.gif" width="158" height="1"/>
                    </td>
                </tr>
                <tr>
                    <td colspan="3"> &#160;
                        <!-- Blank link -->
                    </td>
                </tr>
            <tr>
                <td colspan="3">
                &#160;&#160;
                </td>
            </tr>

            <tr>
                <td colspan="3">
                    <b>IBM Sterling Selling Solution Release : <xsl:value-of select="$release.version"/></b>
                </td>
            </tr>
            <tr>
                <td colspan="3">
                &#160;&#160;
                </td>
            </tr>
            <tr>
                <td width="20" colspan="1">
                &#160;&#160;
                </td>
                <td colspan="2">
                    <table border="0" cellspacing="0" cellpadding="0">
			<xsl:if test="$release.docs.installed='false'">                     	
            			<tr>
                            <td colspan="2">
                                <b>*. No Documentation installed
                                </b>                                
                            </td>
                            <td width="20">&#160;</td>                            
                        </tr>
			</xsl:if>
			<xsl:if test="$release.docs.installed='true'">                     	                    	
                        <tr>
                            <td colspan="2">
                                <b>*. <a>
                                        <xsl:attribute name="href">
                                            <xsl:text/>indexdocs/DEBSIndex.html<xsl:text/>
                                        </xsl:attribute>
                                        SDK Index
                                      </a>
                                </b>
                            </td>
                        </tr>
                        <tr>
                            <td width="20">&#160;</td>
                            <td>
                                <font size="-1">A top down, interactive map of IBM Sterling Selling System components with links to the API Reference, a companion document to the JavaDoc<br /><br /></font>
                            </td>
                       </tr>
                       <tr>
                            <td colspan="2">
                                <b>*. <a>
                                         <xsl:attribute name="href">
                                            <xsl:text>javadocs/index.html</xsl:text>
                                         </xsl:attribute>
                                            API Reference
                                      </a>
                                </b>
                            </td>
                       </tr>
                       <tr>
                        <td width="20">&#160;</td>
                            <td>
                                <font size="-1">JavaDoc top level link<br /><br /></font>
                            </td>
                        </tr>
			<xsl:if test="not($release.erdocs.dir='')"> 
                       <tr>
                            <td colspan="2">
                                <b>*. <a>
                                         <xsl:attribute name="href">
                                            <xsl:text/>proddocs/Developer.pdf<xsl:text/>
                                         </xsl:attribute>
                                           Developers Guide
                                      </a>
                                </b>
	                        	<font size="-1"> (PDF document)</font>
                            </td>
                       </tr>
                       <tr>
                        <td width="20">&#160;</td>
                            <td>
                                <font size="-1">A comprehensive guide to developing IBM Sterling Selling Solution customizations<br /><br /></font>
                            </td>
                        </tr>


                       <tr>
                            <td colspan="2">
                                <b>*. <a>
                                         <xsl:attribute name="href">
                                            <xsl:text/>proddocs/Migration.pdf<xsl:text/>
                                         </xsl:attribute>
                                           Data Migration
                                      </a>
                                </b>
	                        	<font size="-1"> (PDF document)</font>                                
                            </td>
                       </tr>
                       <tr>
                        <td width="20">&#160;</td>
                            <td>
                                <font size="-1">IBM Sterling Selling Solution Data Migration Guide<br /><br /></font>
                            </td>
                        </tr>

				                
                       <tr>
                            <td colspan="2">
                                <b>*. <a>
                                         <xsl:attribute name="href">
                                            <xsl:text/><xsl:value-of select="$release.erdocs.dir"/><xsl:text>/Comergent.htm</xsl:text>
                                         </xsl:attribute>
                                           IBM Sterling Selling Entity Relationship Diagrams
                                      </a>
                                </b>
                            </td>
                       </tr>
                       <tr>
                        <td width="20">&#160;</td>
                            <td>
                                <font size="-1">Erwin Entity Relationship Diagrams for the underlying IBM Sterling Selling Schema<br /><br /></font>
                            </td>
                        </tr>
                    </xsl:if>    
                    </xsl:if>                
                       <tr>
                            <td colspan="2">
                                <b>*. Hot Fixes Applied
                                </b>
                            </td>
                       </tr>
	                   	<xsl:if test="count(//comergent-product/archive-type[.='release-hotfix'])=0">	                        
                       <tr>	    	
       	                        <td width="20">&#160;</td>	                   	
    	                   		<td>
       	                        	<font size="-1">None Installed<br /><br /></font>
            	                </td>
                        </tr>            	                
           	           	</xsl:if>
           	           	<xsl:if test="count(//comergent-product/archive-type[.='release-hotfix'])>0">	                        
	                        	
	                        <tr>
								<td>
							    	&#160;&#160;
							    </td>
							</tr>
	                        	
							<xsl:for-each select="//comergent-product[./archive-type='release-hotfix']">
				            <tr>
					            <td width="20">&#160;</td>
				                <td>
				                    <xsl:value-of select="position()"/>. <xsl:value-of select="label"/>						                				                
				                </td>
				            </tr>
					     	</xsl:for-each>       	                        	       	                        	       
            	           	</xsl:if>                    
                    </table>
                </td>
            </tr>
            </table>
            <p>&#160;</p>
<!-- ============================================================== -->
        <hr size="2" noshade="true"/>
        <table width="100%" border="0">
            <tr>
                <td>
                    <font size="-1">
                        Send comments to: <a href="mailto:ordercaptureapps_support@stercomm.com">ordercaptureapps_support@stercomm.com</a>
                    </font>
                </td>
                <td>
                    <div align="right">
                        <font size="-1">&#169; IBM Corp. 2011.</font>
                    </div>
                </td>
            </tr>
        </table>
        <br />
    </body>
</html>

</xsl:template>


</xsl:stylesheet>
