<?xml version="1.0" ?>
<!--
  Licensed Materials - Property of IBM 

  IBM Sterling Selling and Fullfillment Suite 9.1 

  (c) Copyright IBM Corp 2001, 2010 All Rights Reserved

  US Government Users Restricted Rights - Use, duplication or disclosure
  restricted by GSA ADP Schedule Contract with IBM Corp.
-->
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
    version="1.0">

   <xsl:output      method="html"
                    doctype-public="-//W3C//DTD XHTML 1.0 Transitional//EN"
                    doctype-system="http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd"
                    indent="yes"
                    omit-xml-declaration="yes"/>
    <xsl:param name="sdk.version"/>
    <xsl:param name="sdk.family"/>
    <xsl:param name="sdk.build.number"/>
    <xsl:param name="sdk.release.title"/>
    <xsl:preserve-space elements="*"/>


    <xsl:template match="/">

<html>
    <head>
        <title>Projet Analysis</title>
    </head>
    <body test="#000000" bgcolor="#FFFFFF" LINK="#0000FF" vlink="#0000FF" alink="#000066">
        <table border="0" width="100%">
            <tr>
                <td width="40">
                    <img src="../../../docs/images/logo.gif" ALT="Comergent Technologies" border="0" width="158" height="79"/>
                </td>
                <td align="center" width="100%"> <font size="+2"><b><xsl:value-of select="//projectname"/> Analysis</b></font>
                </td>
                <td align="right" valign="top">
                    <img src="../../../docs/images/spacer.gif" width="158" height="1"/>
                </td>
            </tr>
        </table>
        <p />
        <table border="0" cellpadding="2" cellspacing="0" width="100%">
            <tr bgcolor="#EEEEFF">
                <td  align="left" valign="top">
                    <img src="../../../docs/images/spacer.gif" width="158" height="1"/>
                </td>
                <td bgcolor="#EEEEFF" align="center" width="100%">
                    <font size="-1">&#160;</font>
                </td>
                <td align="right" valign="top">
                    <img src="../../../docs/images/spacer.gif" width="158" height="1"/>
                </td>
            </tr>
        </table>
        <center>
            <p>&#160; </p>
            <a name="guides"></a>
  <!-- ============================================================= -->
            <table border="0" width="75%" cellspacing="0" cellpadding="0">
                <tr>
                    <td colspan="3">
                        <font size="+1"><b>Project Information</b></font>
                    </td>
                </tr>
                <tr height="2" bgcolor="#000000">
                    <td align="center" with="100%">
                        <font size="-1">&#160;</font>
                    </td>
                    <td align="right" valign="top">
                        <img src="../../../docs/images/spacer.gif" width="158" height="1"/>
                    </td>
                </tr>
                <tr>
                    <td colspan="3"> &#160;
                        <!-- Blank link -->
                    </td>
                </tr>
                <tr>
                    <td colspan="3">
                        <b>Project Name : </b><xsl:value-of select="//projectname"/>
                    </td>
                </tr>
                <tr>
                    <td colspan="3">
                        <b>Base Release : </b><xsl:value-of select="//baserelease"/>
                    </td>
                </tr>
            </table>
            <p>&#160;</p>
<!--             <a name="api"></a> -->


  <!-- ============================================================= -->

            <table border="0" width="75%" cellspacing="4" cellpadding="0">
                <tr>
                    <td colspan="4">
                        <font size="+1"><b>Customization Statistics</b></font>
                    </td>
                </tr>
                <tr height="2" bgcolor="#000000">
                    <td align="center" with="100%">
                        <font size="-1">&#160;</font>
                    </td>
                    <!-- <td align="right" valign="top" colspan="3">
                        <img src="art/spacer.gif" width="158" height="1"/>
                    </td> -->
                </tr>
                <tr>
                    <td colspan="3"> &#160;
                        <!-- Blank link -->
                    </td>
                </tr>
                <tr>
                    <td colspan="4">
                    <table width="100%">
                        <tr border="2">
                            <th colspan="1" width="65%" align="left" border="2">
                                <b>Type</b>
                            </th>
                            <th colspan="1" align="center" border="2">
                                Customized
                            </th>
                            <th colspan="1" align="center" border="2">
                                New
                            </th>
                            <th colspan="1" align="right" border="2">
                                Total
                            </th>
                        </tr>
                        <tr>
                            <td colspan="4"> &#160;
                                <!-- Blank link -->
                            </td>
                        </tr>
                        <xsl:variable name="numOfCustomizedClasses" select="count(//class[@new='false'])"/>
                        <xsl:variable name="numOfNewClasses" select="count(//class[@new='true'])"/>
                        <xsl:variable name="numOfClasses" select="count(//class)"/>
                        <xsl:variable name="numOfCustomizedJSPs" select="count(//jsp[@new='false'])"/>
                        <xsl:variable name="numOfNewJSPs" select="count(//jsp[@new='true'])"/>
                        <xsl:variable name="numOfJSPs" select="count(//jsp)"/>
                        <xsl:variable name="numOfCustomizedImages" select="count(//image[@new='false'])"/>
                        <xsl:variable name="numOfNewImages" select="count(//image[@new='true'])"/>
                        <xsl:variable name="numOfImages" select="count(//image)"/>
                        <xsl:variable name="numOfCustomizedHTMLs" select="count(//html[@new='false'])"/>
                        <xsl:variable name="numOfNewHTMLs" select="count(//html[@new='true'])"/>
                        <xsl:variable name="numOfHTMLs" select="count(//html)"/>
                        <xsl:variable name="numOfCustomizedJSs" select="count(//javascript[@new='false'])"/>
                        <xsl:variable name="numOfNewJSs" select="count(//javascript[@new='true'])"/>
                        <xsl:variable name="numOfJSs" select="count(//javascript)"/>
                        <xsl:variable name="numOfCustomizedCSSs" select="count(//stylesheet[@new='false'])"/>
                        <xsl:variable name="numOfNewCSSs" select="count(//stylesheet[@new='true'])"/>
                        <xsl:variable name="numOfCSSs" select="count(//stylesheet)"/>
                        <xsl:variable name="numOfCustomizedOthers" select="count(//file[@new='false'])"/>
                        <xsl:variable name="numOfNewOthers" select="count(//file[@new='true'])"/>
                        <xsl:variable name="numOfOthers" select="count(//file)"/>
                        <tr>
                            <td colspan="1">
                                <b>Classes </b>
                            </td>
                            <td colspan="1" align="center">
                                <xsl:value-of select="$numOfCustomizedClasses"/>
                            </td>
                            <td colspan="1" align="center">
                                <xsl:value-of select="$numOfNewClasses"/>
                            </td>
                            <td colspan="1" align="right">
                                <xsl:value-of select="$numOfClasses"/>
                            </td>
                        </tr>
                        <tr>
                            <td colspan="1">
                                <b>JSPs </b>
                            </td>
                            <td colspan="1" align="center">
                                <xsl:value-of select="$numOfCustomizedJSPs"/>
                            </td>
                            <td colspan="1" align="center">
                                <xsl:value-of select="$numOfNewJSPs"/>
                            </td>
                            <td colspan="1" align="right">
                                <xsl:value-of select="$numOfJSPs"/>
                            </td>
                        </tr>
                        <tr>
                            <td colspan="1">
                                <b>Images </b>
                            </td>
                            <td colspan="1" align="center">
                                <xsl:value-of select="$numOfCustomizedImages"/>
                            </td>
                            <td colspan="1" align="center">
                                <xsl:value-of select="$numOfNewImages"/>
                            </td>
                            <td colspan="1" align="right">
                                <xsl:value-of select="$numOfImages"/>
                            </td>
                        </tr>
                        <tr>
                            <td colspan="1">
                                <b>HTML files : </b>
                            </td>
                            <td colspan="1" align="center">
                                <xsl:value-of select="$numOfCustomizedHTMLs"/>
                            </td>
                            <td colspan="1" align="center">
                                <xsl:value-of select="$numOfNewHTMLs"/>
                            </td>
                            <td colspan="1" align="right">
                                <xsl:value-of select="$numOfHTMLs"/>
                            </td>
                        </tr>
                        <tr>
                            <td colspan="1">
                                <b>JavaScript Files : </b>
                            </td>
                            <td colspan="1" align="center">
                                <xsl:value-of select="$numOfCustomizedJSs"/>
                            </td>
                            <td colspan="1" align="center">
                                <xsl:value-of select="$numOfNewJSs"/>
                            </td>
                            <td colspan="1" align="right">
                                <xsl:value-of select="$numOfJSs"/>
                            </td>
                        </tr>
                        <tr>
                            <td colspan="1">
                                <b>Style Sheets : </b>
                            </td>
                            <td colspan="1" align="center">
                                <xsl:value-of select="$numOfCustomizedCSSs"/>
                            </td>
                            <td colspan="1" align="center">
                                <xsl:value-of select="$numOfNewCSSs"/>
                            </td>
                            <td colspan="1" align="right">
                                <xsl:value-of select="$numOfCSSs"/>
                            </td>
                        </tr>

                        <tr>
                            <td colspan="1">
                                <b>Other Files : </b>
                            </td>
                            <td colspan="1" align="center">
                                <xsl:value-of select="$numOfCustomizedOthers"/>
                            </td>
                            <td colspan="1" align="center">
                                <xsl:value-of select="$numOfNewOthers"/>
                            </td>
                            <td colspan="1" align="right">
                                <xsl:value-of select="$numOfOthers"/>
                            </td>
                        </tr>
                        <tr>
                            <td colspan="4"> &#160;
                                <!-- Blank link -->
                            </td>
                        </tr>
                        <tr>
                            <td colspan="1">
                                <b>Total : </b>
                            </td>
                            <td colspan="1" align="center">
                                <xsl:value-of select="$numOfCustomizedClasses+$numOfCustomizedJSPs+$numOfCustomizedImages+$numOfCustomizedHTMLs+$numOfCustomizedJSs+$numOfCustomizedCSSs+$numOfCustomizedOthers"/>
                            </td>
                            <td colspan="1" align="center">
                                <xsl:value-of select="$numOfNewClasses+$numOfNewJSPs+$numOfNewImages+$numOfNewHTMLs+$numOfNewJSs+$numOfNewCSSs+$numOfNewOthers"/>
                            </td>
                            <td colspan="1" align="right">
                                <xsl:value-of select="$numOfClasses+$numOfJSPs+$numOfImages+$numOfHTMLs+$numOfJSs+$numOfCSSs+$numOfOthers"/>
                            </td>
                        </tr>
                    </table>
                  </td>
               </tr>
            </table>
<!--             <xsl:for-each select="//debs-release">
            <tr>
                <td colspan="3">
                &#160;&#160;
                </td>
            </tr>

            <tr>
                <td colspan="3">
                    <b><xsl:value-of select="position()"/>. EBS Release : <xsl:value-of select="version"/></b>
                </td>
            </tr>
            <tr>
                <td colspan="3">
                &#160;&#160;
                </td>
            </tr>
            <tr>
                <td width="20" colspan="1">
                &#160;&#160;
                </td>
                <td colspan="2">
                    <table border="0" cellspacing="0" cellpadding="0">
                        <tr>
                            <td colspan="2">
                                <b>a. <a>
                                        <xsl:attribute name="href">
                                            <xsl:text/><xsl:value-of select="version"/>/indexdocs/DEBSIndex.html<xsl:text/>
                                        </xsl:attribute>
                                        SDK Index
                                      </a>
                                </b>
                            </td>
                        </tr>
                        <tr>
                            <td width="20">&#160;</td>
                            <td>
                                <font size="-1">A top down, interactive map of EBS components with links to the API Reference, a companion document to the JavaDoc<br /><br /></font>
                            </td>
                       </tr>
                       <tr>
                            <td colspan="2">
                                <b>b. <a>
                                         <xsl:attribute name="href">
                                            <xsl:text/><xsl:value-of select="version"/><xsl:text>/javadocs/index.html</xsl:text>
                                         </xsl:attribute>
                                            API Reference
                                      </a>
                                </b>
                            </td>
                       </tr>
                       <tr>
                        <td width="20">&#160;</td>
                            <td>
                                <font size="-1">JavaDoc top level link<br /><br /></font>
                            </td>
                        </tr>
                        <tr>
                            <td colspan="2">
                                <b>c. The EBS Reference Implementation</b>
                            </td>
                        </tr>
                        <tr>
                            <td width="20">&#160;</td>
                            <td>
                                <font size="-1">
                                    <xsl:text>The EBS Reference Implementation Presentation</xsl:text>
                                    <br /> &#160;&#160;&#160;i.
                                    <a>
                                        <xsl:attribute name="href">
                                            <xsl:text>../releases/</xsl:text><xsl:value-of select="version"/><xsl:text>/reference</xsl:text>
                                         </xsl:attribute>
                                        Root directory for Controllers, Beans, etc.
                                    </a> (directory)
                                    <br />
                                    &#160;&#160;&#160;ii.
                                    <a>
                                        <xsl:attribute name="href">
                                            <xsl:text>../releases/</xsl:text><xsl:value-of select="version"/><xsl:text>/WEB-INF/web/en/US</xsl:text>
                                         </xsl:attribute>
                                        Root directory for JSP files
                                    </a> (directory)
                                    <br />
                                    <br />
                                </font>
                            </td>
                        </tr>
                    </table>
                </td>
            </tr>
     </xsl:for-each>
            </table>
-->
            <p>&#160;</p>

   <!-- ============================================================= -->
            <table border="0" width="75%" cellspacing="0" cellpadding="0">
                <tr>
                    <td colspan="3">
                        <font size="+1"><b>Customization Reports</b></font>
                    </td>
                </tr>
                <tr height="2" bgcolor="#000000">
                    <td align="center" with="100%">
                        <font size="-1">&#160;</font>
                    </td>
                    <td align="right" valign="top">
                        <img src="art/spacer.gif" width="158" height="1"/>
                    </td>
                </tr>
                <tr>
                    <td colspan="3"> &#160;
                    </td>
                </tr>
               
               	
               	<!-- Commenting the following link as the class dependency report generation is disabled in SDK -->
               	<!--
                <tr>
                    <td colspan="3">
                        <b><a href="./class_dependency_report.html">Class Dependency Report</a></b>
                    </td>
                </tr>
                -->
                
                
<!--                 <tr>
                    <td colspan="3">
                        <b><a href="./customizations.html">Customizations List</a></b>
                    </td>
                </tr>
-->
           </table>
        </center>
        <p>&#160;</p>
<!-- ============================================================== -->
        <hr size="2" noshade="true"/>
        <table width="100%" border="0">
            <tr>
                <td>
                    <font size="-1">
                        Send comments to: <a href="mailto:ordercaptureapps_support@stercomm.com">ordercaptureapps_support@stercomm.com</a>
                    </font>
                </td>
                <td>
                    <div align="right">
                        <font size="-1">&#169; IBM Corp. 2012</font>
                    </div>
                </td>
            </tr>
        </table>
        <br />
    </body>
</html>

</xsl:template>


</xsl:stylesheet>
