<?xml version="1.0" ?>
<!--
  Licensed Materials - Property of IBM 

  IBM Sterling Selling and Fullfillment Suite 9.1 

  (c) Copyright IBM Corp 2001, 2010 All Rights Reserved

  US Government Users Restricted Rights - Use, duplication or disclosure
  restricted by GSA ADP Schedule Contract with IBM Corp.
-->
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform"  version="1.0">

<xsl:output method="text"/>

<xsl:template match="Constraint">
    <xsl:param name="independent"/>
    <xsl:param name="name"/>
    <xsl:param name="type"/>
    <xsl:param name="componentName"/>

    <xsl:apply-templates>            
            <xsl:with-param name="independent" select="$independent"/>
            <xsl:with-param name="name" select="$name"/>
            <xsl:with-param name="type" select="$type"/>
            <xsl:with-param name="componentName" select="$componentName"/>
    </xsl:apply-templates>
</xsl:template>

<xsl:template match="Expression">
    <xsl:param name="independent"/>
    <xsl:param name="name"/>
    <xsl:param name="type"/>
    <xsl:param name="componentName"/>
        
    if (!(<xsl:value-of select="."/>))
    {
        ConstraintViolation cv=new ExpressionConstraintViolation("<xsl:value-of select="$componentName"/>",
                                    "<xsl:value-of select="$name" />",
                                    <xsl:value-of select="$name" />,
                                    "<xsl:value-of select="."/>" );
        <xsl:call-template name="finishConstraints">
            <xsl:with-param name="independent" select="$independent"/>            
        </xsl:call-template>                                                             
    }    
</xsl:template>

    
<xsl:template match="Range">
    <xsl:param name="independent"/>
    <xsl:param name="name"/>
    <xsl:param name="type"/>
    <xsl:param name="componentName"/>
    
    if (!(<xsl:value-of select="$name"/>.longValue() &gt; <xsl:value-of select="./Min"/>) ||
        !(<xsl:value-of select="$name"/>.longValue() &lt; <xsl:value-of select="./Max"/>))
    {
        ConstraintViolation cv=new LongRangeConstraintViolation("<xsl:value-of select="$componentName"/>",
                                     "<xsl:value-of select="$name" />",
                                    <xsl:value-of select="$name" />,
                                    new Long(<xsl:value-of select="./Min"/>),
                                    new Long(<xsl:value-of select="./Max"/>));
        <xsl:call-template name="finishConstraints">
            <xsl:with-param name="independent" select="$independent"/>            
        </xsl:call-template>                                    
    }    
 
</xsl:template>       
        
<xsl:template match="Set">
        // TBD - set constaint
</xsl:template>
        
<xsl:template match="i18nSet">
// TBD - i18nSet constaint
</xsl:template>

<xsl:template match="ValidatorClass">
    <xsl:param name="independent"/>
    <xsl:param name="name"/>
    <xsl:param name="type"/>
    <xsl:param name="componentName"/>
    {
    /*    ConstraintValidator validator = new <xsl:value-of select="."/>();//(ConstraintValidator)m_objectManager.getObject("<xsl:value-of select="."/>");
        ConstraintViolation cv = validator.validate(<xsl:value-of select="$name"/>);
        if (cv != null)
        {
            cv.setComponentName("<xsl:value-of select="$componentName" />");
            cv.setParameterName("<xsl:value-of select="$name" />");
            <xsl:call-template name="finishConstraints">
                <xsl:with-param name="independent" select="$independent"/>            
            </xsl:call-template>        
        }*/
    }
</xsl:template>


<xsl:template name="finishConstraints">
    <xsl:param name="independent"/>
        <xsl:choose>
        <xsl:when test="$independent">
            return cv;
        </xsl:when>
        <xsl:otherwise>
            inputViolation = true;
            inputValues = addViolation(inputValues,cv);
        </xsl:otherwise>
        </xsl:choose>                                                             
</xsl:template>

</xsl:stylesheet>
