<?xml version="1.0" ?>
<!--
  Licensed Materials - Property of IBM 

  IBM Sterling Selling and Fullfillment Suite 9.1 

  (c) Copyright IBM Corp 2001, 2010 All Rights Reserved

  US Government Users Restricted Rights - Use, duplication or disclosure
  restricted by GSA ADP Schedule Contract with IBM Corp.
-->
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform"  version="1.0"
>

<xsl:output method="xml" indent="yes"/>
    <xsl:strip-space elements="web-app"/>
    <!-- <xsl:preserve-space elements=" -->
	<xsl:param name="local.country"/>
    <xsl:param name="local.lang"/>
    <!-- <xsl:preserve-space elements="*"/> -->

<xsl:template match="/">
    <xsl:apply-templates/>
</xsl:template>
    
<xsl:template match="web-app">
    <xsl:element name="web-app">
        <xsl:apply-templates select="@*"/>
        <xsl:apply-templates/>
        <xsl:text disable-output-escaping="yes">
        </xsl:text>
        <xsl:comment >
            <xsl:text disable-output-escaping="yes">Start Mapping for locale : </xsl:text>
            <xsl:value-of disable-output-escaping="yes" select="$local.lang"/>_<xsl:value-of disable-output-escaping="yes" select="$local.country"/>
        </xsl:comment>
        <xsl:apply-templates mode="insert"/>
        <!-- <xsl:apply-templates select="node[starts-with(child::url-pattern,'/en/US')]" mode="insert"/> -->
        <!-- <xsl:apply-templates select="child::url-pattern[starts-with(.,'/en/US')]" mode="insert"/> -->
        <xsl:comment >
            <xsl:text disable-output-escaping="yes"> End Mapping for locale : </xsl:text>
            <xsl:value-of disable-output-escaping="yes" select="$local.lang"/>_<xsl:value-of disable-output-escaping="yes" select="$local.country"/>    
        </xsl:comment>
        <xsl:text disable-output-escaping="yes">
        </xsl:text>                
    </xsl:element>
</xsl:template>

<xsl:template match="*" mode="insert"/>
<xsl:template match="comment()">
    <xsl:comment >
    <xsl:value-of disable-output-escaping="yes" select="."/>
    </xsl:comment>
</xsl:template>

<xsl:template match="*">
    <xsl:copy>
        <xsl:apply-templates select="@*"/>
        <xsl:apply-templates/>
    </xsl:copy>
</xsl:template>

<xsl:template match="@*">
    <xsl:copy/>
</xsl:template>

<!-- <xsl:template match="servlet-mapping/url-pattern[starts-with(.,'/en/US')]" mode="insert"> -->
<xsl:template match="servlet-mapping" mode="insert">
   <xsl:if test="starts-with(url-pattern,'/en/US')">             
        <xsl:copy>            
            <xsl:apply-templates select="@*"/>
            <xsl:apply-templates select="servlet-name"/>
            <xsl:element name="url-pattern">/<xsl:value-of select="$local.lang"/>/<xsl:value-of select="$local.country"/>
                <xsl:value-of select="substring-after(url-pattern,'/en/US')"/>
            </xsl:element>
        </xsl:copy> 
    </xsl:if>
</xsl:template>

</xsl:stylesheet>
