#
# Licensed Materials - Property of IBM 
#
# IBM Sterling Selling and Fullfillment Suite
#
# (c) Copyright IBM Corp. 2015 All Rights Reserved.
#
# US Government Users Restricted Rights - Use, duplication or disclosure restricted by GSA ADP
# Schedule Contract with IBM Corp.
#

#!/bin/sh

# Licensed Materials - Property of IBM
# IBM Sterling Selling Solution
# (C) Copyright IBM Corp. 2003,2011 All Rights Reserved. 
# US Government Users Restricted Rights - Use, duplication or disclosure restricted by GSA ADP Schedule Contract with IBM Corp.


# check for java
if [ -z "$JAVA_HOME" ] ; then
    echo "You must set the JAVA_HOME environment variable."
    exit 1
fi

# check for Comergent SDK home
if [ -z "$COMERGENT_SDK_HOME" ] ; then
    COMERGENT_SDK_HOME="$PWD"
    export COMERGENT_SDK_HOME
fi
SDK_LIB="$COMERGENT_SDK_HOME/etc/lib"


# build classpath
CP=$SDK_LIB/ant.jar
CP=$CP:$SDK_LIB/optional.jar
CP=$CP:$SDK_LIB/sdk.jar
CP=$CP:$SDK_LIB/xercesimpl.jar
CP=$CP:$SDK_LIB/xml-apis.jar
CP=$CP:$SDK_LIB/ant-contrib-0.1.jar
CP=$CP:$SDK_LIB/js.jar
CP=$CP:$SDK_LIB/bsf.jar
CP=$CP:$SDK_LIB/jakarta-oro-2.0.8.jar
CP=$CP:$SDK_LIB/xalan.jar
CP=$CP:$SDK_LIB/serializer.jar
CP=$CP:$JAVA_HOME/lib/tools.jar

if [ $1 ]
then
ARGS=$1
fi

if [ $2 ]
then
ARGS="-Darg1=$2 $ARGS"
fi

if [ $3 ]
then
ARGS="-Darg2=$3 $ARGS"
fi

if [ $4 ]
then
ARGS="-Darg3=$4 $ARGS"
fi

if [ $5 ]
then
ARGS="-Darg4=$5 $ARGS"
fi

if [ $6 ]
then
ARGS="-Darg5=$6 $ARGS"
fi

cygwin=false;
case "`uname`" in
  CYGWIN*) cygwin=true ;;
esac

# For Cygwin, switch paths to Windows format before running java
if $cygwin; then
  CP=`cygpath --path --windows "$CP"`
fi


# run ant
$JAVA_HOME/bin/java -Xmx1024m -classpath $CP org.apache.tools.ant.Main -emacs -buildfile $COMERGENT_SDK_HOME/sdk.xml $ARGS
